| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeObjectUtils Class Reference

`#include <TypeObjectUtils.hpp>`

## Static Public Member Functions

static FASTDDS_EXPORTED_API const TypeObjectHashId | build_type_object_hash_id (uint8_t discriminator, const EquivalenceHash &hash)
| Build TypeObjectHashId instance.
static FASTDDS_EXPORTED_API CollectionElementFlag | build_collection_element_flag (TryConstructFailAction try_construct_kind, bool external)
| Build CollectionElementFlag instance.
static FASTDDS_EXPORTED_API StructMemberFlag | build_struct_member_flag (TryConstructFailAction try_construct_kind, bool optional, bool must_understand, bool key, bool external)
| Build StructMemberFlag instance.
static FASTDDS_EXPORTED_API UnionMemberFlag | build_union_member_flag (TryConstructFailAction try_construct_kind, bool default_member, bool external)
| Build UnionMemberFlag instance.
static FASTDDS_EXPORTED_API UnionDiscriminatorFlag | build_union_discriminator_flag (TryConstructFailAction try_construct_kind, bool key)
| Build UnionDiscriminatorFlag instance.
static FASTDDS_EXPORTED_API EnumeratedLiteralFlag | build_enumerated_literal_flag (bool default_literal)
| Build EnumeratedLiteralFlag instance.
static FASTDDS_EXPORTED_API StructTypeFlag | build_struct_type_flag (ExtensibilityKind extensibility_kind, bool nested, bool autoid_hash)
| AnnotationParameterFlag: Unused.
static FASTDDS_EXPORTED_API UnionTypeFlag | build_union_type_flag (ExtensibilityKind extensibility_kind, bool nested, bool autoid_hash)
| Build UnionTypeFlag instance.
static FASTDDS_EXPORTED_API const StringSTypeDefn | build_string_s_type_defn (SBound bound)
| CollectionTypeFlag: Unused.
static FASTDDS_EXPORTED_API const StringLTypeDefn | build_string_l_type_defn (LBound bound)
| Build StringLTypeDefn instance.
static FASTDDS_EXPORTED_API const PlainCollectionHeader | build_plain_collection_header (EquivalenceKind equiv_kind, CollectionElementFlag element_flags)
| Build PlainCollectionHeader instance.
static FASTDDS_EXPORTED_API const PlainSequenceSElemDefn | build_plain_sequence_s_elem_defn (const PlainCollectionHeader &header, SBound s_bound, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier)
| Build PlainSequenceSElemDefn instance.
static FASTDDS_EXPORTED_API const PlainSequenceLElemDefn | build_plain_sequence_l_elem_defn (const PlainCollectionHeader &header, LBound l_bound, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier)
| Build PlainSequenceLElemDefn instance.
template<typename element>
static void | add_array_dimension (std::vector< element > &array_bound_seq, element dimension_bound)
| Add dimension bound to the array bound sequence.
static FASTDDS_EXPORTED_API const PlainArraySElemDefn | build_plain_array_s_elem_defn (const PlainCollectionHeader &header, const SBoundSeq &array_bound_seq, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier)
| Build PlainArraySElemDefn instance.
static FASTDDS_EXPORTED_API const PlainArrayLElemDefn | build_plain_array_l_elem_defn (const PlainCollectionHeader &header, const LBoundSeq &array_bound_seq, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier)
| Build PlainArrayLElemDefn instance.
static FASTDDS_EXPORTED_API const PlainMapSTypeDefn | build_plain_map_s_type_defn (const PlainCollectionHeader &header, const SBound bound, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier, const CollectionElementFlag key_flags, const eprosima::fastcdr::external< TypeIdentifier > &key_identifier)
| Build PlainMapSTypeDefn instance.
static FASTDDS_EXPORTED_API const PlainMapLTypeDefn | build_plain_map_l_type_defn (const PlainCollectionHeader &header, const LBound bound, const eprosima::fastcdr::external< TypeIdentifier > &element_identifier, const CollectionElementFlag key_flags, const eprosima::fastcdr::external< TypeIdentifier > &key_identifier)
| Build PlainMapLTypeDefn instance.
static FASTDDS_EXPORTED_API const StronglyConnectedComponentId | build_strongly_connected_component_id (const TypeObjectHashId &sc_component_id, int32_t scc_length, int32_t scc_index)
| Build StronglyConnectedComponentId instance.
static FASTDDS_EXPORTED_API const ExtendedTypeDefn | build_extended_type_defn ()
| Build ExtendedTypeDefn instance (empty.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_s_string_type_identifier (const StringSTypeDefn &string, const std::string &type_name, TypeIdentifierPair &type_ids, bool wstring=false)
| Primitive types are registered when TypeObjectRegistry is instantiated.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_l_string_type_identifier (const StringLTypeDefn &string, const std::string &type_name, TypeIdentifierPair &type_ids, bool wstring=false)
| Register large string/wstring TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_s_sequence_type_identifier (const PlainSequenceSElemDefn &plain_seq, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register small sequence TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_l_sequence_type_identifier (const PlainSequenceLElemDefn &plain_seq, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register large sequence TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_s_array_type_identifier (const PlainArraySElemDefn &plain_array, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register small array TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_l_array_type_identifier (const PlainArrayLElemDefn &plain_array, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register large array TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_s_map_type_identifier (const PlainMapSTypeDefn &plain_map, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register small map TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_l_map_type_identifier (const PlainMapLTypeDefn &plain_map, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register large map TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_scc_type_identifier (const StronglyConnectedComponentId &scc, const std::string &type_name)
| Register StronglyConnectedComponent TypeIdentifier into TypeObjectRegistry.
static FASTDDS_EXPORTED_API const ExtendedAnnotationParameterValue | build_extended_annotation_parameter_value ()
| Build ExtendedAnnotationParameterValue instance (empty.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (bool boolean_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value_byte (uint8_t byte_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (int8_t int8_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (uint8_t uint8_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (int16_t int16_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (uint16_t uint16_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (int32_t int32_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (uint32_t uint32_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (int64_t int64_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (uint64_t uint64_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (float float32_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (double float64_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (long double float128_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (char char_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (wchar_t wchar_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value_enum (int32_t enumerated_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (const eprosima::fastcdr::fixed_string< 128 > &string8_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AnnotationParameterValue | build_annotation_parameter_value (const std::wstring &string16_value)
| Build AnnotationParameterValue instance.
static FASTDDS_EXPORTED_API const AppliedAnnotationParameter | build_applied_annotation_parameter (const NameHash &paramname_hash, const AnnotationParameterValue &value)
| Build AppliedAnnotationParameter instance.
static FASTDDS_EXPORTED_API void | add_applied_annotation_parameter (AppliedAnnotationParameterSeq &param_seq, const AppliedAnnotationParameter &param)
| Add AppliedAnnotationParameter to the sequence.
static FASTDDS_EXPORTED_API const AppliedAnnotation | build_applied_annotation (const TypeIdentifier &annotation_typeid, const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > &param_seq)
| Build AppliedAnnotation instance.
static FASTDDS_EXPORTED_API void | add_applied_annotation (AppliedAnnotationSeq &ann_custom_seq, const AppliedAnnotation &ann_custom)
| Add AppliedAnnotation to the sequence.
static FASTDDS_EXPORTED_API const AppliedVerbatimAnnotation | build_applied_verbatim_annotation (PlacementKind placement, const eprosima::fastcdr::fixed_string< 32 > &language, const std::string &text)
| Build AppliedVerbatimAnnotation instance.
static FASTDDS_EXPORTED_API const AppliedBuiltinMemberAnnotations | build_applied_builtin_member_annotations (const eprosima::fastcdr::optional< std::string > &unit, const eprosima::fastcdr::optional< AnnotationParameterValue > &min, const eprosima::fastcdr::optional< AnnotationParameterValue > &max, const eprosima::fastcdr::optional< std::string > &hash_id)
| Build AppliedBuiltinMemberAnnotations instance.
static FASTDDS_EXPORTED_API const CommonStructMember | build_common_struct_member (MemberId member_id, StructMemberFlag member_flags, const TypeIdentifier &member_type_id)
| Build CommonStructMember instance.
static FASTDDS_EXPORTED_API const CompleteMemberDetail | build_complete_member_detail (const MemberName &name, const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &ann_builtin, const eprosima::fastcdr::optional< AppliedAnnotationSeq > &ann_custom)
| Build CompleteMemberDetail instance.
static FASTDDS_EXPORTED_API const CompleteStructMember | build_complete_struct_member (const CommonStructMember &common, const CompleteMemberDetail &detail)
| MinimalMemberDetail constructed from CompleteMemberDetail.
static FASTDDS_EXPORTED_API void | add_complete_struct_member (CompleteStructMemberSeq &member_seq, const CompleteStructMember &member)
| Add CompleteStructMember to the sequence.
static FASTDDS_EXPORTED_API const AppliedBuiltinTypeAnnotations | build_applied_builtin_type_annotations (const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > &verbatim)
| MinimalStructMember constructed from CompleteStructMember.
static FASTDDS_EXPORTED_API const CompleteTypeDetail | build_complete_type_detail (const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > &ann_builtin, const eprosima::fastcdr::optional< AppliedAnnotationSeq > &ann_custom, const QualifiedTypeName &type_name)
| MinimalTypeDetail constructed from CompleteTypeDetail: empty.
static FASTDDS_EXPORTED_API const CompleteStructHeader | build_complete_struct_header (const TypeIdentifier &base_type, const CompleteTypeDetail &detail)
| Build CompleteStructHeader instance.
static FASTDDS_EXPORTED_API const CompleteStructType | build_complete_struct_type (StructTypeFlag struct_flags, const CompleteStructHeader &header, const CompleteStructMemberSeq &member_seq)
| MinimalStructHeader constructed from CompleteStructHeader.
static FASTDDS_EXPORTED_API void | add_union_case_label (UnionCaseLabelSeq &label_seq, int32_t label)
| MinimalStructType constructed from CompleteStructType.
static FASTDDS_EXPORTED_API const CommonUnionMember | build_common_union_member (MemberId member_id, UnionMemberFlag member_flags, const TypeIdentifier &type_id, const UnionCaseLabelSeq &label_seq)
| Build CommonUnionMember instance.
static FASTDDS_EXPORTED_API const CompleteUnionMember | build_complete_union_member (const CommonUnionMember &common, const CompleteMemberDetail &detail)
| Build CompleteUnionMember instance.
static FASTDDS_EXPORTED_API void | add_complete_union_member (CompleteUnionMemberSeq &complete_union_member_seq, const CompleteUnionMember &member)
| Add CompleteUnionMember to sequence.
static FASTDDS_EXPORTED_API const CommonDiscriminatorMember | build_common_discriminator_member (UnionDiscriminatorFlag member_flags, const TypeIdentifier &type_id)
| MinimalUnionMember constructed from CompleteUnionMember.
static FASTDDS_EXPORTED_API const CompleteDiscriminatorMember | build_complete_discriminator_member (const CommonDiscriminatorMember &common, const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > &ann_builtin, const eprosima::fastcdr::optional< AppliedAnnotationSeq > &ann_custom)
| Build CompleteDiscriminatorMember instance.
static FASTDDS_EXPORTED_API const CompleteUnionHeader | build_complete_union_header (const CompleteTypeDetail &detail)
| MinimalDiscriminatorMember constructed from CompleteDiscriminatorMember.
static FASTDDS_EXPORTED_API const CompleteUnionType | build_complete_union_type (UnionTypeFlag union_flags, const CompleteUnionHeader &header, const CompleteDiscriminatorMember &discriminator, const CompleteUnionMemberSeq &member_seq)
| MinimalUnionHeader constructed from CompleteUnionHeader.
static FASTDDS_EXPORTED_API const CommonAnnotationParameter | build_common_annotation_parameter (AnnotationParameterFlag member_flags, const TypeIdentifier &member_type_id)
| MinimalUnionType constructed from CompleteUnionType.
static FASTDDS_EXPORTED_API const CompleteAnnotationParameter | build_complete_annotation_parameter (const CommonAnnotationParameter &common, const MemberName &name, const AnnotationParameterValue &default_value)
| Build CompleteAnnotationParameter instance.
static FASTDDS_EXPORTED_API void | add_complete_annotation_parameter (CompleteAnnotationParameterSeq &sequence, const CompleteAnnotationParameter &param)
| Add CompleteAnnotationParameter to sequence.
static FASTDDS_EXPORTED_API const CompleteAnnotationHeader | build_complete_annotation_header (const QualifiedTypeName &annotation_name)
| MinimalAnnotationParameter constructed from CompleteAnnotationParameter.
static FASTDDS_EXPORTED_API const CompleteAnnotationType | build_complete_annotation_type (AnnotationTypeFlag annotation_flag, const CompleteAnnotationHeader &header, const CompleteAnnotationParameterSeq &member_seq)
| MinimalAnnotationHeader constructed from CompleteAnnotationHeader: empty.
static FASTDDS_EXPORTED_API const CommonAliasBody | build_common_alias_body (AliasMemberFlag related_flags, const TypeIdentifier &related_type)
| MinimalAnnotationType constructed from CompleteAnnotationType.
static FASTDDS_EXPORTED_API const CompleteAliasBody | build_complete_alias_body (const CommonAliasBody &common, const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &ann_builtin, const eprosima::fastcdr::optional< AppliedAnnotationSeq > &ann_custom)
| Build CompleteAliasBody instance.
static FASTDDS_EXPORTED_API const CompleteAliasHeader | build_complete_alias_header (const CompleteTypeDetail &detail)
| MinimalAliasBody constructed from CompleteAliasBody.
static FASTDDS_EXPORTED_API const CompleteAliasType | build_complete_alias_type (AliasTypeFlag alias_flags, const CompleteAliasHeader &header, const CompleteAliasBody &body)
| MinimalAliasHeader constructed from CompleteAliasHeader: empty.
static FASTDDS_EXPORTED_API const CompleteElementDetail | build_complete_element_detail (const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &ann_builtin, const eprosima::fastcdr::optional< AppliedAnnotationSeq > &ann_custom)
| MinimalAliasType constructed from CompleteAliasType.
static FASTDDS_EXPORTED_API const CommonCollectionElement | build_common_collection_element (CollectionElementFlag element_flags, const TypeIdentifier &type)
| Build CommonCollectionElement instance.
static FASTDDS_EXPORTED_API const CompleteCollectionElement | build_complete_collection_element (const CommonCollectionElement &common, const CompleteElementDetail &detail)
| Build CompleteCollectionElement instance.
static FASTDDS_EXPORTED_API const CommonCollectionHeader | build_common_collection_header (LBound bound)
| MinimalCollectionElement constructed from CompleteCollectionElement.
static FASTDDS_EXPORTED_API const CompleteCollectionHeader | build_complete_collection_header (const CommonCollectionHeader &common, const eprosima::fastcdr::optional< CompleteTypeDetail > &detail)
| Build CompleteCollectionHeader instance.
static FASTDDS_EXPORTED_API const CompleteSequenceType | build_complete_sequence_type (CollectionTypeFlag collection_flag, const CompleteCollectionHeader &header, const CompleteCollectionElement &element)
| MinimalCollectionHeader constructed from CompleteCollectionHeader.
static FASTDDS_EXPORTED_API const CommonArrayHeader | build_common_array_header (const LBoundSeq &bound_seq)
| MinimalSequenceType constructed from CompleteSequenceType.
static FASTDDS_EXPORTED_API const CompleteArrayHeader | build_complete_array_header (const CommonArrayHeader &common, const CompleteTypeDetail &detail)
| Build CompleteArrayHeader instance.
static FASTDDS_EXPORTED_API const CompleteArrayType | build_complete_array_type (CollectionTypeFlag collection_flag, const CompleteArrayHeader &header, const CompleteCollectionElement &element)
| MinimalArrayHeader constructed from CompleteArrayHeader.
static FASTDDS_EXPORTED_API const CompleteMapType | build_complete_map_type (CollectionTypeFlag collection_flag, const CompleteCollectionHeader &header, const CompleteCollectionElement &key, const CompleteCollectionElement &element)
| MinimalArrayType constructed from CompleteArrayType.
static FASTDDS_EXPORTED_API const CommonEnumeratedLiteral | build_common_enumerated_literal (int32_t value, EnumeratedLiteralFlag flags)
| MinimalMapType constructed from CompleteMapType.
static FASTDDS_EXPORTED_API const CompleteEnumeratedLiteral | build_complete_enumerated_literal (const CommonEnumeratedLiteral &common, const CompleteMemberDetail &detail)
| Build CompleteEnumeratedLiteral instance.
static FASTDDS_EXPORTED_API void | add_complete_enumerated_literal (CompleteEnumeratedLiteralSeq &sequence, const CompleteEnumeratedLiteral &enum_literal)
| Add CompleteEnumeratedLiteral to sequence.
static FASTDDS_EXPORTED_API const CommonEnumeratedHeader | build_common_enumerated_header (BitBound bit_bound, bool bitmask=false)
| MinimalEnumeratedLiteral constructed from CompleteEnumeratedLiteral.
static FASTDDS_EXPORTED_API const CompleteEnumeratedHeader | build_complete_enumerated_header (const CommonEnumeratedHeader &common, const CompleteTypeDetail &detail, bool bitmask=false)
| Build CompleteEnumeratedHeader instance.
static FASTDDS_EXPORTED_API const CompleteEnumeratedType | build_complete_enumerated_type (EnumTypeFlag enum_flags, const CompleteEnumeratedHeader &header, const CompleteEnumeratedLiteralSeq &literal_seq)
| MinimalEnumeratedHeader constructed from CompleteEnumeratedHeader.
static FASTDDS_EXPORTED_API const CommonBitflag | build_common_bitflag (uint16_t position, BitflagFlag flags)
| MinimalEnumeratedType constructed from CompleteEnumeratedType.
static FASTDDS_EXPORTED_API const CompleteBitflag | build_complete_bitflag (const CommonBitflag &common, const CompleteMemberDetail &detail)
| Build CompleteBitflag instance.
static FASTDDS_EXPORTED_API void | add_complete_bitflag (CompleteBitflagSeq &sequence, const CompleteBitflag &bitflag)
| Add complete bitflag to the sequence.
static FASTDDS_EXPORTED_API const CompleteBitmaskType | build_complete_bitmask_type (BitmaskTypeFlag bitmask_flags, const CompleteBitmaskHeader &header, const CompleteBitflagSeq &flag_seq)
| MinimalBitflag constructed from CompleteBitflag.
static FASTDDS_EXPORTED_API const CommonBitfield | build_common_bitfield (uint16_t position, BitsetMemberFlag flags, uint8_t bitcount, TypeKind holder_type)
| Build CommonBitfield instance.
static FASTDDS_EXPORTED_API const CompleteBitfield | build_complete_bitfield (const CommonBitfield &common, const CompleteMemberDetail &detail)
| Build CompleteBitfield instance.
static FASTDDS_EXPORTED_API void | add_complete_bitfield (CompleteBitfieldSeq &sequence, const CompleteBitfield &bitfield)
| Add complete bitfield to the sequence.
static FASTDDS_EXPORTED_API const CompleteBitsetHeader | build_complete_bitset_header (const CompleteTypeDetail &detail)
| MinimalBitfield constructed from CompleteBitfield.
static FASTDDS_EXPORTED_API const CompleteBitsetType | build_complete_bitset_type (BitsetTypeFlag bitset_flags, const CompleteBitsetHeader &header, const CompleteBitfieldSeq &field_seq)
| MinimalBitsetHeader constructed from CompleteBitsetHeader.
static FASTDDS_EXPORTED_API const CompleteExtendedType | build_complete_extended_type ()
| MinimalBitsetType constructed from CompleteBitsetType.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_alias_type_object (const CompleteAliasType &alias_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register alias TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_annotation_type_object (const CompleteAnnotationType &annotation_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register annotation TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_struct_type_object (const CompleteStructType &struct_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register structure TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_union_type_object (const CompleteUnionType &union_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register union TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_bitset_type_object (const CompleteBitsetType &bitset_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register bitset TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_sequence_type_object (const CompleteSequenceType &sequence_type, const std::string &type_name)
| Register sequence TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_array_type_object (const CompleteArrayType &array_type, const std::string &type_name)
| Register array TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_map_type_object (const CompleteMapType &map_type, const std::string &type_name)
| Register map TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_enumerated_type_object (const CompleteEnumeratedType &enumerated_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register enumeration TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API ReturnCode_t | build_and_register_bitmask_type_object (const CompleteBitmaskType &bitmask_type, const std::string &type_name, TypeIdentifierPair &type_ids)
| Register bitmask TypeObject into TypeObjectRegistry.
static FASTDDS_EXPORTED_API const NameHash | name_hash (const std::string &name)
| Calculate the MD5 hash of the provided name.
static FASTDDS_EXPORTED_API void | type_object_consistency (const TypeObject &type_object)
| Check TypeObject consistency.
static FASTDDS_EXPORTED_API const TypeIdentifier & | retrieve_minimal_type_identifier (const TypeIdentifierPair &type_ids, bool &ec)
| If one of the TypeIdentifier in TypeIdentifierPair is minimal, returns its reference.
static FASTDDS_EXPORTED_API const TypeIdentifier & | retrieve_complete_type_identifier (const TypeIdentifierPair &type_ids, bool &ec)
| If one of the TypeIdentifier in TypeIdentifierPair is complete, returns its reference.

## Static Protected Member Functions

static void | set_try_construct_behavior (MemberFlag &member_flag, TryConstructFailAction try_construct_kind)
| Set the try construct behavior in a given MemberFlag.
static void | set_type_flag (TypeFlag &type_flag, ExtensibilityKind extensibility_kind, bool nested, bool autoid_hash)
| Set the TypeFlag object.
static void | set_extensibility_kind (TypeFlag &type_flag, ExtensibilityKind extensibility_kind)
| Set the extensibility kind in a given TypeFlag.
static bool | is_fully_descriptive_type_identifier (const TypeIdentifier &type_identifier)
| Check if a given TypeIdentifier is fully-descriptive.
static bool | is_direct_hash_type_identifier (const TypeIdentifier &type_identifier)
| Check if a given TypeIdentifier is direct hash.
static bool | is_indirect_hash_type_identifier (const TypeIdentifier &type_identifier)
| Check if a given TypeIdentifier is indirect hash.
static void | l_bound_consistency (LBound bound)
| TypeObjectHashId is always consistent.
template<typename T>
static void | array_bound_seq_consistency (const T &array)
| Check that the array_bound_seq is consistent: non-empty.
static void | l_bound_seq_consistency (const LBoundSeq &bound_seq)
| Check LBoundSeq consistency.
static void | collection_element_flag_consistency (CollectionElementFlag collection_element_flag)
| Check CollectionElementFlag consistency.
static void | struct_member_flag_consistency (StructMemberFlag member_flags)
| Check StructMemberFlag consistency: MemberFlag consistency (try construct annotation).
static void | union_member_flag_consistency (UnionMemberFlag union_member_flag)
| Check UnionMemberFlag consistency.
static void | union_discriminator_flag_consistency (UnionDiscriminatorFlag union_discriminator_flag)
| Check UnionDiscriminatorFlag consistency.
static void | enumerated_literal_flag_consistency (EnumeratedLiteralFlag enumerated_literal_flag)
| Check EnumeratedLiteralFlag consistency: any flag different from default are not set.
static void | type_flag_consistency (TypeFlag type_flag)
| Check TypeFlag consistency: exactly one extensibility flag is set.
template<typename T>
static void | empty_flags_consistency (T flags)
| Check empty flags consistency.
static void | equivalence_kind_consistency (EquivalenceKind equiv_kind)
| Check EquivalenceKind consistency.
static void | plain_collection_header_consistency (const PlainCollectionHeader &header)
| Check PlainCollectionHeader consistency:
static void | plain_collection_type_identifier_header_consistency (const PlainCollectionHeader &header, const TypeIdentifier &element_identifier)
| Check consistency between a given PlainCollectionHeader and the related TypeIdentifier:
static EquivalenceKind | get_map_component_equiv_kind_for_consistency (const TypeIdentifier &identifier)
| Retrieves the equivalence kind of a component within a map.
static void | plain_map_type_components_consistency (const PlainCollectionHeader &header, const TypeIdentifier &type_identifier)
| Check consistency between a given PlainCollectionHeader of a map and the related TypeIdentifier:
static void | map_key_type_identifier_consistency (const TypeIdentifier &key_identifier)
| Check map key_identifier consistency.
static void | string_ldefn_consistency (const StringLTypeDefn &string)
| Check StringLTypeDefn consistency.
static void | seq_sdefn_consistency (const PlainSequenceSElemDefn &plain_seq)
| Check PlainSequenceSElemDefn consistency.
static void | seq_ldefn_consistency (const PlainSequenceLElemDefn &plain_seq)
| Check PlainSequenceLElemDefn consistency.
static void | array_sdefn_consistency (const PlainArraySElemDefn &plain_array)
| Check PlainArraySElemDefn consistency.
static void | array_ldefn_consistency (const PlainArrayLElemDefn &plain_array)
| Check PlainArrayLElemDefn consistency.
static void | map_sdefn_consistency (const PlainMapSTypeDefn &plain_map)
| Check PlainMapSTypeDefn consistency.
static void | map_ldefn_consistency (const PlainMapLTypeDefn &plain_map)
| Check PlainMapLTypeDefn consistency.
static void | direct_hash_type_identifier_consistency (const TypeIdentifier &type_id)
| Check direct hash TypeIdentifier consistency.
static void | type_identifier_consistency (const TypeIdentifier &type_identifier)
| Check TypeIdentifier consistency.
static void | applied_annotation_parameter_seq_consistency (const AppliedAnnotationParameterSeq &applied_annotation_parameter_seq)
| Check AppliedAnnotationParameterSeq consistency.
static void | applied_annotation_type_identifier_consistency (const TypeIdentifier &annotation_type_id)
| Check AppliedAnnotation TypeIdentifier consistency.
static void | applied_annotation_consistency (const AppliedAnnotation &applied_annotation)
| Check AppliedAnnotation consistency.
static void | applied_annotation_seq_consistency (const AppliedAnnotationSeq &applied_annotation_seq)
| Check AppliedAnnotationSeq consistency.
static void | applied_verbatim_annotation_consistency (const AppliedVerbatimAnnotation &applied_verbatim_annotation)
| Check AppliedVerbatimAnnotation consistency.
static void | common_struct_member_consistency (const CommonStructMember &common_struct_member)
| Check CommonStructMember consistency.
static void | complete_member_detail_consistency (const CompleteMemberDetail &complete_member_detail)
| Check CompleteMemberDetail consistency.
static void | common_struct_member_and_complete_member_detail_consistency (const CommonStructMember &common_struct_member, const CompleteMemberDetail &complete_member_detail)
| Check cross-consistency between CommonStructMember and CompleteMemberDetail.
static void | string_member_id_consistency (MemberId member_id, const std::string &string_value)
| Check consistency between a string value and the MemberId (algorithm XTypes v1.3 Clause 7.3.1.2.1.1).
static void | complete_struct_member_consistency (const CompleteStructMember &complete_struct_member)
| Check CompleteStructMember consistency.
static void | complete_struct_member_seq_consistency (const CompleteStructMemberSeq &complete_struct_member_seq)
| Check CompleteStructMemberSeq consistency.
static void | applied_builtin_type_annotations_consistency (const AppliedBuiltinTypeAnnotations &applied_builtin_type_annotations)
| Check AppliedBuiltinTypeAnnotations consistency.
static void | complete_type_detail_consistency (const CompleteTypeDetail &complete_type_detail)
| Check CompleteTypeDetail consistency.
static void | structure_base_type_consistency (const TypeIdentifier &base_type)
| Check CompleteStructHeader base_type TypeIdentifier consistency.
static void | complete_struct_header_consistency (const CompleteStructHeader &complete_struct_header)
| Check CompleteStructHeader consistency.
static void | complete_struct_type_consistency (const CompleteStructType &complete_struct_type)
| Check CompleteStructType consistency.
static void | minimal_struct_type_consistency (const MinimalStructType &minimal_struct_type)
| Check MinimalStructType consistency.
static void | union_case_label_seq_consistency (const UnionCaseLabelSeq &union_case_label_seq)
| Check UnionCaseLabelSeq consistency.
static void | common_union_member_consistency (const CommonUnionMember &common_union_member)
| Check CommonUnionMember consistency.
static void | common_union_member_complete_member_detail_consistency (const CommonUnionMember &common_union_member, const CompleteMemberDetail &complete_member_detail)
| Check cross-consistency between CommonStructMember and CompleteMemberDetail.
static void | complete_union_member_consistency (const CompleteUnionMember &complete_union_member)
| Check CompleteUnionMember consistency.
static void | complete_union_member_seq_consistency (const CompleteUnionMemberSeq &complete_union_member_seq)
| Check CompleteUnionMemberSeq consistency.
static void | common_discriminator_member_type_identifier_consistency (const TypeIdentifier &type_id)
| Check discriminator TypeIdentifier consistency.
static void | common_discriminator_member_consistency (const CommonDiscriminatorMember &common_discriminator_member)
| Check CommonDiscriminatorMember consistency.
static void | complete_discriminator_member_consistency (const CompleteDiscriminatorMember &complete_discriminator_member)
| Check CompleteDiscriminatorMember consistency.
static void | complete_union_header_consistency (const CompleteUnionHeader &complete_union_header)
| Check CompleteUnionHeader consistency.
static void | complete_union_type_consistency (const CompleteUnionType &complete_union_type)
| Check CompleteUnionType consistency.
static void | minimal_union_type_consistency (const MinimalUnionType &minimal_union_type)
| Check MinimalUnionType consistency.
static void | common_annotation_parameter_type_identifier_default_value_consistency (const TypeIdentifier &type_id, const AnnotationParameterValue &value)
| Check that the annotation value is of the same type as the given TypeIdentifier.
static void | common_annotation_parameter_consistency (const CommonAnnotationParameter &common_annotation_parameter)
| Check CommonAnnotationParameter consistency.
static void | complete_annotation_parameter_consistency (const CompleteAnnotationParameter &complete_annotation_parameter)
| Check CompleteAnnotationParameter consistency.
static void | complete_annotation_parameter_seq_consistency (const CompleteAnnotationParameterSeq &complete_annotation_parameter_seq)
| Check CompleteAnnotationParameterSeq consistency.
static void | complete_annotation_header_consistency (const CompleteAnnotationHeader &complete_annotation_header)
| Check CompleteAnnotationHeader consistency.
static void | complete_annotation_type_consistency (const CompleteAnnotationType &complete_annotation_type)
| Check CompleteAnnotationType consistency.
static void | minimal_annotation_type_consistency (const MinimalAnnotationType &minimal_annotation_type)
| Check MinimalAnnotationType consistency.
static void | common_alias_body_consistency (const CommonAliasBody &common_alias_body)
| Check CommonAliasBody consistency.
static void | hashid_builtin_annotation_not_applied_consistency (const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &ann_builtin)
| Check that hashid builtin annotation has not been set.
static void | complete_alias_body_consistency (const CompleteAliasBody &complete_alias_body)
| Check CompleteAliasBody consistency.
static void | complete_alias_header_consistency (const CompleteAliasHeader &complete_alias_header)
| Check CompleteAliasHeader consistency.
static void | complete_alias_type_consistency (const CompleteAliasType &complete_alias_type)
| Check CompleteAliasType consistency.
static void | minimal_alias_type_consistency (const MinimalAliasType &minimal_alias_type)
| Check MinimalAliasType consistency.
static void | complete_element_detail_consistency (const CompleteElementDetail &complete_element_detail)
| Check CompleteElementDetail consistency.
static void | common_collection_element_consistency (const CommonCollectionElement &common_collection_element)
| Check CommonCollectionElement consistency.
static void | complete_collection_element_consistency (const CompleteCollectionElement &complete_collection_element)
| Check CompleteCollectionElement consistency.
static void | complete_collection_header_consistency (const CompleteCollectionHeader &complete_collection_header)
| Check CompleteCollectionHeader consistency.
static void | complete_sequence_type_consistency (const CompleteSequenceType &complete_sequence_type)
| Check CompleteSequenceType consistency.
static void | minimal_sequence_type_consistency (const MinimalSequenceType &minimal_sequence_type)
| Check MinimalSequenceType consistency.
static void | common_array_header_consistency (const CommonArrayHeader &common_array_header)
| Check CommonArrayHeader consistency.
static void | complete_array_header_consistency (const CompleteArrayHeader &complete_array_header)
| Check CompleteArrayHeader consistency.
static void | complete_array_type_consistency (const CompleteArrayType &complete_array_type)
| Check CompleteArrayType consistency.
static void | minimal_array_type_consistency (const MinimalArrayType &minimal_array_type)
| Check MinimalArrayType consistency.
static void | complete_map_type_consistency (const CompleteMapType &complete_map_type)
| Check CompleteMapType consistency.
static void | minimal_map_type_consistency (const MinimalMapType &minimal_map_type)
| Check MinimalMapType consistency.
static void | common_enumerated_literal_consistency (const CommonEnumeratedLiteral &common_enumerated_literal)
| Check CommonEnumeratedLiteral consistency.
static void | complete_enumerated_literal_consistency (const CompleteEnumeratedLiteral &complete_enumerated_literal)
| Check CompleteEnumeratedLiteral consistency.
static void | complete_enumerated_literal_seq_consistency (const CompleteEnumeratedLiteralSeq &complete_enumerated_literal_seq)
| Check CompleteEnumeratedLiteralSeq consistency.
static void | enum_bit_bound_consistency (BitBound bit_bound)
| Check enumeration BitBound consistency.
static void | bitmask_bit_bound_consistency (BitBound bit_bound)
| Check bitmask BitBound consistency.
static void | common_enumerated_header_consistency (const CommonEnumeratedHeader &common_enumerated_header, bool bitmask=false)
| Check CommonEnumeratedHeader consistency.
static void | complete_enumerated_header_consistency (const CompleteEnumeratedHeader &complete_enumerated_header, bool bitmask=false)
| Check CompleteEnumeratedHeader consistency.
static void | complete_enumerated_type_consistency (const CompleteEnumeratedType &complete_enumerated_type)
| Check CompleteEnumeratedType consistency.
static void | minimal_enumerated_type_consistency (const MinimalEnumeratedType &minimal_enumerated_type)
| Check MinimalEnumeratedType consistency.
static void | bit_position_consistency (uint16_t position)
| Check bitflag position consistency.
static void | common_bitflag_consistency (const CommonBitflag &common_bitflag)
| Check CommonBitflag consistency.
static void | complete_bitflag_consistency (const CompleteBitflag &complete_bitflag)
| Check CompleteBitflag consistency.
static void | complete_bitflag_seq_consistency (const CompleteBitflagSeq &complete_bitflag_seq)
| Check CompleteBitflagSeq consistency.
static void | complete_bitmask_type_consistency (const CompleteBitmaskType &complete_bitmask_type)
| Check CompleteBitmaskType consistency.
static void | minimal_bitmask_type_consistency (const MinimalBitmaskType &minimal_bitmask_type)
| Check MinimalBitmaskType consistency.
static void | bitfield_holder_type_consistency (TypeKind holder_type, uint8_t bitcount)
| Check consistency between the holder type and the bitcount.
static void | common_bitfield_consistency (const CommonBitfield &common_bitfield)
| Check CommonBitfield consistency.
static void | complete_bitfield_consistency (const CompleteBitfield &complete_bitfield)
| Check CompleteBitfield consistency.
static void | complete_bitfield_seq_consistency (const CompleteBitfieldSeq &complete_bitfield_seq)
| Check CompleteBitfieldSeq consistency.
static void | complete_bitset_header_consistency (const CompleteBitsetHeader &complete_bitset_header)
| Check CompleteBitsetHeader consistency.
static void | complete_bitset_type_consistency (const CompleteBitsetType &complete_bitset_type)
| Check CompleteBitsetType consistency.
static void | minimal_bitset_type_consistency (const MinimalBitsetType &minimal_bitset_type)
| Check MinimalBitsetType consistency.
static void | complete_type_object_consistency (const CompleteTypeObject &complete_type_object)
| Check CompleteTypeObject consistency.
static void | minimal_type_object_consistency (const MinimalTypeObject &minimal_type_object)
| Check MinimalTypeObject consistency.

## Friends

class | TypeObjectRegistry
class | eprosima::fastdds::dds::DynamicTypeBuilderFactoryImpl

## Member Function Documentation

## ◆ add_applied_annotation()

FASTDDS_EXPORTED_API void add_applied_annotation | ( | AppliedAnnotationSeq & | ann_custom_seq,
|  | const AppliedAnnotation & | ann_custom )

static

Add AppliedAnnotation to the sequence.

Parameters

  [in,out] | ann_custom_seq | AppliedAnnotation sequence to be modified.
  [in] | ann_custom | AppliedAnnotation to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given AppliedAnnotation is not consistent (only in Debug build mode).
  2. Given AppliedAnnotation is already present in the sequence.

## ◆ add_applied_annotation_parameter()

FASTDDS_EXPORTED_API void add_applied_annotation_parameter | ( | AppliedAnnotationParameterSeq & | param_seq,
|  | const AppliedAnnotationParameter & | param )

static

Add AppliedAnnotationParameter to the sequence.

Parameters

  [in,out] | param_seq | AppliedAnnotationParameter sequence to be modified.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the parameter being added has already been included in the sequence.

Parameters

  [in] | param | AppliedAnnotationParameter to be added.

## ◆ add_array_dimension()

template<typename element>

void add_array_dimension | ( | std::vector< element > & | array_bound_seq,
|  | element | dimension_bound )

inline static

Add dimension bound to the array bound sequence.

Template Parameters

  array | Either a SBoundSeq or LBoundSeq.
  element | Either a SBound or LBound.

Parameters

  [in,out] | array_bound_seq | Sequence with the array bounds.
  [in] | dimension_bound | Dimension bound to be added into the sequence.

## ◆ add_complete_annotation_parameter()

FASTDDS_EXPORTED_API void add_complete_annotation_parameter | ( | CompleteAnnotationParameterSeq & | sequence,
|  | const CompleteAnnotationParameter & | param )

static

Add CompleteAnnotationParameter to sequence.

Parameters

  [in,out] | sequence | Sequence to be modified.
  [in] | param | Complete annotation parameter to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CompleteAnnotationParameter is not consistent (only in Debug build mode).
  2. There is already another member in the sequence with the same member id or the same member name (only in Debug build mode).

## ◆ add_complete_bitfield()

FASTDDS_EXPORTED_API void add_complete_bitfield | ( | CompleteBitfieldSeq & | sequence,
|  | const CompleteBitfield & | bitfield )

static

Add complete bitfield to the sequence.

Parameters

  [in,out] | sequence | Sequence to be modified.
  [in] | bitfield | CompleteBitfield to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given bitfield is inconsistent (only in Debug build mode).
  2. There is another bitfield with the same name and/or the same position.

## ◆ add_complete_bitflag()

FASTDDS_EXPORTED_API void add_complete_bitflag | ( | CompleteBitflagSeq & | sequence,
|  | const CompleteBitflag & | bitflag )

static

Add complete bitflag to the sequence.

Parameters

  [in,out] | sequence | Sequence to be modified.
  [in] | bitflag | CompleteBitflag to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given bitflag is inconsistent (only in Debug build mode).
  2. There is already another bitflag in the sequence with the same position or the same name (only in Debug build mode).

## ◆ add_complete_enumerated_literal()

FASTDDS_EXPORTED_API void add_complete_enumerated_literal | ( | CompleteEnumeratedLiteralSeq & | sequence,
|  | const CompleteEnumeratedLiteral & | enum_literal )

static

Add CompleteEnumeratedLiteral to sequence.

Parameters

  [in] | sequence | Sequence to be modified.
  [in,out] | enum_literal | CompleteEnumeratedLiteral to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonEnumeratedLiteral is not consistent (only in Debug build mode).
  2. There is already another literal in the sequence with the same value or the same member name (only in Debug build mode).

## ◆ add_complete_struct_member()

FASTDDS_EXPORTED_API void add_complete_struct_member | ( | CompleteStructMemberSeq & | member_seq,
|  | const CompleteStructMember & | member )

static

Add CompleteStructMember to the sequence.

Parameters

  [in,out] | member_seq | CompleteStructMember sequence to be modified.
  [in] | member | CompleteStructMember to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CompleteStructMember is not consistent (only in Debug build mode).
  2. There is already another member in the sequence with the same member id or the same member name (only in Debug build mode).

## ◆ add_complete_union_member()

FASTDDS_EXPORTED_API void add_complete_union_member | ( | CompleteUnionMemberSeq & | complete_union_member_seq,
|  | const CompleteUnionMember & | member )

static

Add CompleteUnionMember to sequence.

Parameters

  [in,out] | complete_union_member_seq | Sequence to be modified.
  [in] | member | Complete union member to be added.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CompleteUnionMember is not consistent (only in Debug build mode).
  2. There is already another member in the sequence with the same member id or the same member name (only in Debug build mode).
  3. If the given member is marked as default, if there is already another member marked as default (only in Debug build mode).
  4. There are repeated union case labels (only in Debug build mode).
  5. Member name is protected ("discriminator").

## ◆ add_union_case_label()

FASTDDS_EXPORTED_API void add_union_case_label | ( | UnionCaseLabelSeq & | label_seq,
|  | int32_t | label )

static

MinimalStructType constructed from CompleteStructType.

Add label to the union case label sequence.

Parameters

  [in,out] | label_seq | Sequence to be modified.
  [in] | label | Label to be added.

## ◆ applied_annotation_consistency()

void applied_annotation_consistency | ( | const AppliedAnnotation & | applied_annotation | ) |

static protected

Check AppliedAnnotation consistency.

Parameters

  [in] | applied_annotation | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedAnnotation is not consistent.

## ◆ applied_annotation_parameter_seq_consistency()

void applied_annotation_parameter_seq_consistency | ( | const AppliedAnnotationParameterSeq & | applied_annotation_parameter_seq | ) |

static protected

Check AppliedAnnotationParameterSeq consistency.

Parameters

  [in] | applied_annotation_parameter_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedAnnotationParameterSeq is not consistent.

## ◆ applied_annotation_seq_consistency()

void applied_annotation_seq_consistency | ( | const AppliedAnnotationSeq & | applied_annotation_seq | ) |

static protected

Check AppliedAnnotationSeq consistency.

Parameters

  [in] | applied_annotation_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedAnnotationSeq is not consistent.

## ◆ applied_annotation_type_identifier_consistency()

void applied_annotation_type_identifier_consistency | ( | const TypeIdentifier & | annotation_type_id | ) |

static protected

Check AppliedAnnotation TypeIdentifier consistency.

Parameters

  [in] | annotation_type_id | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedAnnotation TypeIdentifier is not consistent.

## ◆ applied_builtin_type_annotations_consistency()

void applied_builtin_type_annotations_consistency | ( | const AppliedBuiltinTypeAnnotations & | applied_builtin_type_annotations | ) |

static protected

Check AppliedBuiltinTypeAnnotations consistency.

Parameters

  [in] | applied_builtin_type_annotations | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedBuiltinTypeAnnotations is not consistent.

## ◆ applied_verbatim_annotation_consistency()

void applied_verbatim_annotation_consistency | ( | const AppliedVerbatimAnnotation & | applied_verbatim_annotation | ) |

static protected

Check AppliedVerbatimAnnotation consistency.

Parameters

  [in] | applied_verbatim_annotation | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedVerbatimAnnotation is not consistent.

## ◆ array_bound_seq_consistency()

template<typename T>

void array_bound_seq_consistency | ( | const T & | array | ) |

inline static protected

Check that the array_bound_seq is consistent: non-empty.

Template Parameters

  T | Either SBoundSeq or LBoundSeq

Parameters

  [in] | array | Sequence to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given array is not consistent.

## ◆ array_ldefn_consistency()

void array_ldefn_consistency | ( | const PlainArrayLElemDefn & | plain_array | ) |

static protected

Check PlainArrayLElemDefn consistency.

Parameters

  [in] | plain_array | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainArrayLElemDefn is not consistent.

## ◆ array_sdefn_consistency()

void array_sdefn_consistency | ( | const PlainArraySElemDefn & | plain_array | ) |

static protected

Check PlainArraySElemDefn consistency.

Parameters

  [in] | plain_array | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainArraySElemDefn is not consistent.

## ◆ bit_position_consistency()

void bit_position_consistency | ( | uint16_t | position | ) |

static protected

Check bitflag position consistency.

Parameters

  [in] | position | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given bitflag position is not consistent.

## ◆ bitfield_holder_type_consistency()

void bitfield_holder_type_consistency | ( | TypeKind | holder_type,
|  | uint8_t | bitcount )

static protected

Check consistency between the holder type and the bitcount.

Parameters

  [in] | holder_type | TypeKind of the bitfield holder type.
  [in] | bitcount | Bitfield number of bits.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given data is inconsistent.

## ◆ bitmask_bit_bound_consistency()

void bitmask_bit_bound_consistency | ( | BitBound | bit_bound | ) |

static protected

Check bitmask BitBound consistency.

Parameters

  [in] | bit_bound | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given BitBound is not consistent.

## ◆ build_and_register_alias_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_alias_type_object | ( | const CompleteAliasType & | alias_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register alias TypeObject into TypeObjectRegistry.

CompleteAliasType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | alias_type | CompleteAliasType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteAliasType just registered and the generated MinimalAliasType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_annotation_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_annotation_type_object | ( | const CompleteAnnotationType & | annotation_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register annotation TypeObject into TypeObjectRegistry.

CompleteAnnotationType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | annotation_type | CompleteAnnotationType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteAnnotationType just registered and the generated MinimalAnnotationType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_array_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_array_type_object | ( | const CompleteArrayType & | array_type,
|  | const std::string & | type_name )

static

Register array TypeObject into TypeObjectRegistry.

CompleteArrayType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | array_type | CompleteArrayType.
  [in] | type_name | Name to be registered in the registry.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_bitmask_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_bitmask_type_object | ( | const CompleteBitmaskType & | bitmask_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register bitmask TypeObject into TypeObjectRegistry.

CompleteBitmaskType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | bitmask_type | CompleteBitmaskType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteBitmaskType just registered and the generated MinimalBitmaskType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_bitset_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_bitset_type_object | ( | const CompleteBitsetType & | bitset_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register bitset TypeObject into TypeObjectRegistry.

CompleteBitsetType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | bitset_type | CompleteBitsetType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteBitsetType just registered and the generated MinimalBitsetType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_enumerated_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_enumerated_type_object | ( | const CompleteEnumeratedType & | enumerated_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register enumeration TypeObject into TypeObjectRegistry.

CompleteEnumeratedType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | enumerated_type | CompleteEnumeratedType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteEnumeratedType just registered and the generated MinimalEnumeratedType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_l_array_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_l_array_type_identifier | ( | const PlainArrayLElemDefn & | plain_array,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register large array TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_array | PlainArrayLElemDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainArrayLElemDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_l_map_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_l_map_type_identifier | ( | const PlainMapLTypeDefn & | plain_map,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register large map TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_map | PlainMapLTypeDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainMapLTypeDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_l_sequence_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_l_sequence_type_identifier | ( | const PlainSequenceLElemDefn & | plain_seq,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register large sequence TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_seq | PlainSequenceLElemDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainSequenceLElemDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_l_string_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_l_string_type_identifier | ( | const StringLTypeDefn & | string,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids,
|  | bool | wstring = false )

static

Register large string/wstring TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | string | StringLTypeDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the StringLTypeDefn just registered.
  [in] | wstring | Flag to build a wstring. Default false.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_map_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_map_type_object | ( | const CompleteMapType & | map_type,
|  | const std::string & | type_name )

static

Register map TypeObject into TypeObjectRegistry.

CompleteMapType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | map_type | CompleteMapType.
  [in] | type_name | Name to be registered in the registry.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_s_array_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_s_array_type_identifier | ( | const PlainArraySElemDefn & | plain_array,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register small array TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_array | PlainArraySElemDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainArraySElemDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_s_map_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_s_map_type_identifier | ( | const PlainMapSTypeDefn & | plain_map,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register small map TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_map | PlainMapSTypeDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainMapSTypeDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_s_sequence_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_s_sequence_type_identifier | ( | const PlainSequenceSElemDefn & | plain_seq,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register small sequence TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | plain_seq | PlainSequenceSElemDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the PlainSequenceSElemDefn just registered.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_s_string_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_s_string_type_identifier | ( | const StringSTypeDefn & | string,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids,
|  | bool | wstring = false )

static

Primitive types are registered when TypeObjectRegistry is instantiated.

Register small string/wstring TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | string | StringSTypeDefn union member to set.
  [in] | type_name | Type name to be registered.
  [out] | type_ids | TypeIdentifierPair corresponding to the StringSTypeDefn just registered.
  [in] | wstring | Flag to build a wstring. Default false.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given member is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_scc_type_identifier()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_scc_type_identifier | ( | const StronglyConnectedComponentId & | scc,
|  | const std::string & | type_name )

static

Register StronglyConnectedComponent TypeIdentifier into TypeObjectRegistry.

Parameters

  [in] | scc | StronglyConnectedComponent union member to set.
  [in] | type_name | Type name to be registered.

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeIdentifier registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_sequence_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_sequence_type_object | ( | const CompleteSequenceType & | sequence_type,
|  | const std::string & | type_name )

static

Register sequence TypeObject into TypeObjectRegistry.

CompleteSequenceType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | sequence_type | CompleteSequenceType.
  [in] | type_name | Name to be registered in the registry.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_struct_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_struct_type_object | ( | const CompleteStructType & | struct_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register structure TypeObject into TypeObjectRegistry.

CompleteStructType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | struct_type | CompleteStructType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteStructType just registered and the generated MinimalStructType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_and_register_union_type_object()

FASTDDS_EXPORTED_API ReturnCode_t build_and_register_union_type_object | ( | const CompleteUnionType & | union_type,
|  | const std::string & | type_name,
|  | TypeIdentifierPair & | type_ids )

static

Register union TypeObject into TypeObjectRegistry.

CompleteUnionType is provided and the minimal TypeObject is constructed from the complete one.

Parameters

  [in] | union_type | CompleteUnionType.
  [in] | type_name | Name to be registered in the registry.
  [out] | type_ids | TypeIdentifierPair corresponding to the CompleteUnionType just registered and the generated MinimalUnionType.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given type is inconsistent (only in Debug build mode).

Returns
  ReturnCode_t RETCODE_OK if correctly registered in TypeObjectRegistry. RETCODE_BAD_PARAMETER if there is already another different TypeObject registered with the given type_name. RETCODE_BAD_PARAMETER if type_name is empty.

## ◆ build_annotation_parameter_value() [1/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | bool | boolean_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | boolean_value | Boolean value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [2/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | char | char_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | char_value | Char value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [3/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | const eprosima::fastcdr::fixed_string< 128 > & | string8_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | string8_value | String value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [4/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | const std::wstring & | string16_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | string16_value | Wide string value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [5/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | double | float64_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | float64_value | Double value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [6/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | float | float32_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | float32_value | Float value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [7/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | int16_t | int16_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | int16_value | Short value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [8/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | int32_t | int32_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | int32_value | Long value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [9/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | int64_t | int64_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | int64_value | Long long value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [10/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | int8_t | int8_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | int8_value | Int8 value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [11/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | long double | float128_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | float128_value | Long double value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [12/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | uint16_t | uint16_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | uint16_value | Unsigned short value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [13/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | uint32_t | uint32_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | uint32_value | Unsigned long value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [14/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | uint64_t | uint64_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | uint64_value | Unsigned long long value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [15/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | uint8_t | uint8_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | uint8_value | Unsigned int8 value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value() [16/16]

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value | ( | wchar_t | wchar_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | wchar_value | Wide char value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value_byte()

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value_byte | ( | uint8_t | byte_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | byte_value | Byte value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_annotation_parameter_value_enum()

FASTDDS_EXPORTED_API const AnnotationParameterValue build_annotation_parameter_value_enum | ( | int32_t | enumerated_value | ) |

static

Build AnnotationParameterValue instance.

Parameters

  [in] | enumerated_value | Enumerated value to set in the union.

Returns
  const AnnotationParameterValue instance.

## ◆ build_applied_annotation()

FASTDDS_EXPORTED_API const AppliedAnnotation build_applied_annotation | ( | const TypeIdentifier & | annotation_typeid,
|  | const eprosima::fastcdr::optional< AppliedAnnotationParameterSeq > & | param_seq )

static

Build AppliedAnnotation instance.

Parameters

  [in] | annotation_typeid | Annotation TypeIdentifier.
  [in] | param_seq | Annotation parameters.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given annotation_typeid TypeIdentifier does not correspond to an annotation TypeObject (only in Debug build mode).
  2. Given AppliedAnnotationParameterSeq is inconsistent (only in Debug build mode).
  3. Given annotation TypeIdentifier corresponds to a builtin annotation and the given parameters are inconsistent (only in Debug build mode).

Returns
  const AppliedAnnotation instance.

## ◆ build_applied_annotation_parameter()

FASTDDS_EXPORTED_API const AppliedAnnotationParameter build_applied_annotation_parameter | ( | const NameHash & | paramname_hash,
|  | const AnnotationParameterValue & | value )

static

Build AppliedAnnotationParameter instance.

Parameters

  [in] | paramname_hash | Parameter name hash.
  [in] | value | Parameter value.

Returns
  const AppliedAnnotationParameter instance.

## ◆ build_applied_builtin_member_annotations()

FASTDDS_EXPORTED_API const AppliedBuiltinMemberAnnotations build_applied_builtin_member_annotations | ( | const eprosima::fastcdr::optional< std::string > & | unit,
|  | const eprosima::fastcdr::optional< AnnotationParameterValue > & | min,
|  | const eprosima::fastcdr::optional< AnnotationParameterValue > & | max,
|  | const eprosima::fastcdr::optional< std::string > & | hash_id )

static

Build AppliedBuiltinMemberAnnotations instance.

Parameters

  [in] | unit | Unit annotation value.
  [in] | min | Min annotation value.
  [in] | max | Max annotation value.
  [in] | hash_id | Hashid annotation value.

Returns
  const AppliedBuiltinMemberAnnotations instance.

## ◆ build_applied_builtin_type_annotations()

FASTDDS_EXPORTED_API const AppliedBuiltinTypeAnnotations build_applied_builtin_type_annotations | ( | const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & | verbatim | ) |

static

MinimalStructMember constructed from CompleteStructMember.

Build AppliedBuiltinTypeAnnotations instance.

Parameters

  [in] | verbatim | AppliedVerbatimAnnotation to be set.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given verbatim annotation is inconsistent (only in Debug build mode).

Returns
  const AppliedBuiltinTypeAnnotations instance.

## ◆ build_applied_verbatim_annotation()

FASTDDS_EXPORTED_API const AppliedVerbatimAnnotation build_applied_verbatim_annotation | ( | PlacementKind | placement,
|  | const eprosima::fastcdr::fixed_string< 32 > & | language,
|  | const std::string & | text )

static

Build AppliedVerbatimAnnotation instance.

Parameters

  [in] | placement | Verbatim annotation placement parameter.
  [in] | language | Verbatim annotation language parameter.
  [in] | text | Verbatim annotation text parameter.

Returns
  const AppliedVerbatimAnnotation instance.

## ◆ build_collection_element_flag()

FASTDDS_EXPORTED_API CollectionElementFlag build_collection_element_flag | ( | TryConstructFailAction | try_construct_kind,
|  | bool | external )

static

Build CollectionElementFlag instance.

Parameters

  [in] | try_construct_kind | try_construct annotation value.
  [in] | external | external annotation value.

Returns
  CollectionElementFlag instance.

## ◆ build_common_alias_body()

FASTDDS_EXPORTED_API const CommonAliasBody build_common_alias_body | ( | AliasMemberFlag | related_flags,
|  | const TypeIdentifier & | related_type )

static

MinimalAnnotationType constructed from CompleteAnnotationType.

Build CommonAliasBody instance.

Parameters

  [in] | related_flags | AliasMemberFlag: unused. No flags apply. It must be 0.
  [in] | related_type | Related TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any alias member flag is set.
  2. Non-consistent TypeIdentifier (only in Debug build mode).

Returns
  const CommonAliasBody instance.

## ◆ build_common_annotation_parameter()

FASTDDS_EXPORTED_API const CommonAnnotationParameter build_common_annotation_parameter | ( | AnnotationParameterFlag | member_flags,
|  | const TypeIdentifier & | member_type_id )

static

MinimalUnionType constructed from CompleteUnionType.

Build CommonAnnotationParameter instance.

Parameters

  [in] | member_flags | AnnotationParameterFlag: empty. No flags apply. It must be zero.
  [in] | member_type_id | Member TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given AnnotationParameterFlag are not empty.
  2. Given TypeIdentifier is not consistent (only in Debug build mode).

Returns
  const CommonAnnotationParameter instance.

## ◆ build_common_array_header()

FASTDDS_EXPORTED_API const CommonArrayHeader build_common_array_header | ( | const LBoundSeq & | bound_seq | ) |

static

MinimalSequenceType constructed from CompleteSequenceType.

Build CommonArrayHeader instance.

Parameters

  [in] | bound_seq | Sequence of the dimension's bounds.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if any given bound is 0 (invalid).

Returns
  const CommonArrayHeader instance.

## ◆ build_common_bitfield()

FASTDDS_EXPORTED_API const CommonBitfield build_common_bitfield | ( | uint16_t | position,
|  | BitsetMemberFlag | flags,
|  | uint8_t | bitcount,
|  | TypeKind | holder_type )

static

Build CommonBitfield instance.

Parameters

  [in] | position | Bitfield starting position bit.
  [in] | flags | Bitfield flags: unused. No flags apply. It must be 0.
  [in] | bitcount | Bitfield number of bits. IDL v4.2 Clause 7.4.13.4.3.2 The first one (positive_int_const) is the number of bits that can be stored (its [bitfield] size). The maximum value is 64.
  [in] | holder_type | Type used to manipulate the bitfield. IDL v4.2 Clause 7.4.13.4.3.2 The second optional one (destination_type) specifies the type that will be used to manipulate the bit field as a whole. This type can be boolean, octet or any integer type either signed or unsigned.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given position is not consistent.
  2. Any flag is set.
  3. Given bitcount is not consistent.
  4. Given holder_type is not consistent.

Returns
  const CommonBitfield instance.

## ◆ build_common_bitflag()

FASTDDS_EXPORTED_API const CommonBitflag build_common_bitflag | ( | uint16_t | position,
|  | BitflagFlag | flags )

static

MinimalEnumeratedType constructed from CompleteEnumeratedType.

Build CommonBitflag instance.

Parameters

  [in] | position | Bit position in the bitmask.
  [in] | flags | Bit flags: unused. No flags apply. It must be 0.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. any given flag is set.
  2. given position is inconsistent. XTypes v1.3 Clause 7.2.2.4.1.2 Each bit in this subset is identified by name and by an index, numbered from 0 to (bound-1). The bound must be greater than zero and no greater than 64.

Returns
  const CommonBitflag instance.

## ◆ build_common_collection_element()

FASTDDS_EXPORTED_API const CommonCollectionElement build_common_collection_element | ( | CollectionElementFlag | element_flags,
|  | const TypeIdentifier & | type )

static

Build CommonCollectionElement instance.

Parameters

  [in] | element_flags | CollectionElementFlag.
  [in] | type | TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given collection element flags are not consistent (only in Debug build mode).
  2. Given TypeIdentifier is not consistent (only in Debug build mode).

Returns
  const CommonCollectionElement instance

## ◆ build_common_collection_header()

FASTDDS_EXPORTED_API const CommonCollectionHeader build_common_collection_header | ( | LBound | bound | ) |

static

MinimalCollectionElement constructed from CompleteCollectionElement.

Build CommonCollectionHeader instance.

Parameters

  [in] | bound | Collection bound.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given bound is not consistent.

Returns
  const CommonCollectionHeader instance.

## ◆ build_common_discriminator_member()

FASTDDS_EXPORTED_API const CommonDiscriminatorMember build_common_discriminator_member | ( | UnionDiscriminatorFlag | member_flags,
|  | const TypeIdentifier & | type_id )

static

MinimalUnionMember constructed from CompleteUnionMember.

Build CommonDiscriminatorMember instance.

Parameters

  [in] | member_flags | Discriminator flags.
  [in] | type_id | Discriminator TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given discriminator flags are inconsistent (only in Debug build mode).
  2. Given TypeIdentifier is not consistent. XTypes v1.3 Clause 7.2.2.4.4.3 The discriminator of a union must be one of the following types: Boolean, Byte, Char8, Char16, Int8, Uint8, Int16, Uint16, Int32, Uint32, Int64, Uint64, any enumerated type, any alias type that resolves, directly or indirectly, to one of the aforementioned types.

Returns
  const CommonDiscriminatorMember instance.

## ◆ build_common_enumerated_header()

FASTDDS_EXPORTED_API const CommonEnumeratedHeader build_common_enumerated_header | ( | BitBound | bit_bound,
|  | bool | bitmask = false )

static

MinimalEnumeratedLiteral constructed from CompleteEnumeratedLiteral.

Build CommonEnumeratedHeader instance.

Parameters

  [in] | bit_bound | XTypes v1.3 Clause 7.3.1.2.1.5 It is important to note that the value member of the [bit_bound] annotation may take any value from 1 to 32, inclusive, when this annotation is applied to an enumerated type.
  [in] | bitmask | Flag in case that the header being built corresponds to a Bitmask. By default is false.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given bit_bound is not consistent.

Returns
  const CommonEnumeratedHeader instance.

## ◆ build_common_enumerated_literal()

FASTDDS_EXPORTED_API const CommonEnumeratedLiteral build_common_enumerated_literal | ( | int32_t | value,
|  | EnumeratedLiteralFlag | flags )

static

MinimalMapType constructed from CompleteMapType.

Build CommonEnumeratedLiteral instance.

Parameters

  [in] | value | Enumerated literal value.
  [in] | flags | Enumerated literal flags: only default flag apply.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if any other flag different from default is set (only in Debug build mode).

Returns
  const CommonEnumeratedLiteral instance.

## ◆ build_common_struct_member()

FASTDDS_EXPORTED_API const CommonStructMember build_common_struct_member | ( | MemberId | member_id,
|  | StructMemberFlag | member_flags,
|  | const TypeIdentifier & | member_type_id )

static

Build CommonStructMember instance.

Parameters

  [in] | member_id | Member identifier.
  [in] | member_flags | Member flags: optional, must_understand, key, and external.
  [in] | member_type_id | Member TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception:
  1. The given flags are not consistent (only in Debug build mode).
  2. The given TypeIdentifier is not consistent (only in Debug build mode).

Returns
  const CommonStructMember instance.

## ◆ build_common_union_member()

FASTDDS_EXPORTED_API const CommonUnionMember build_common_union_member | ( | MemberId | member_id,
|  | UnionMemberFlag | member_flags,
|  | const TypeIdentifier & | type_id,
|  | const UnionCaseLabelSeq & | label_seq )

static

Build CommonUnionMember instance.

Parameters

  [in] | member_id | Member identifier.
  [in] | member_flags | Member flags.
  [in] | type_id | Member TypeIdentifier.
  [in] | label_seq | Member applicable case labels.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given UnionMemberFlags are not consistent (only Debug build mode).
  2. Given TypeIdentifier is not consistent (only Debug build mode).

Returns
  const CommonUnionMember instance.

## ◆ build_complete_alias_body()

FASTDDS_EXPORTED_API const CompleteAliasBody build_complete_alias_body | ( | const CommonAliasBody & | common,
|  | const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin,
|  | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom )

static

Build CompleteAliasBody instance.

Parameters

  [in] | common | CommonAliasBody.
  [in] | ann_builtin | Applied builtin member annotations: unit, max, min, range, hashid
  [in] | ann_custom | Applied custom annotations

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonAliasBody is inconsistent (only Debug build mode).
  2. AppliedAnnotationSeq is inconsistent (only Debug build mode).
  3. hashid builtin annotation is set.

Returns
  const CompleteAliasBody instance.

## ◆ build_complete_alias_header()

FASTDDS_EXPORTED_API const CompleteAliasHeader build_complete_alias_header | ( | const CompleteTypeDetail & | detail | ) |

static

MinimalAliasBody constructed from CompleteAliasBody.

Build CompleteAliasHeader instance.

Parameters

  [in] | detail | Complete type detail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteTypeDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteAliasHeader instance.

## ◆ build_complete_alias_type()

FASTDDS_EXPORTED_API const CompleteAliasType build_complete_alias_type | ( | AliasTypeFlag | alias_flags,
|  | const CompleteAliasHeader & | header,
|  | const CompleteAliasBody & | body )

static

MinimalAliasHeader constructed from CompleteAliasHeader: empty.

Available for future extension.

Build CompleteAliasType instance.

Parameters

  [in] | alias_flags | Alias type flags: unused. No flags apply. It must be zero.
  [in] | header | CompleteAliasHeader.
  [in] | body | CompleteAliasBody.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any alias type flag is set.
  2. Inconsistent header and/or body (only in Debug build mode).

Returns
  const CompleteAliasType instance.

## ◆ build_complete_annotation_header()

FASTDDS_EXPORTED_API const CompleteAnnotationHeader build_complete_annotation_header | ( | const QualifiedTypeName & | annotation_name | ) |

static

MinimalAnnotationParameter constructed from CompleteAnnotationParameter.

Build CompleteAnnotationHeader instance.

Parameters

  [in] | annotation_name | Qualified annotation type name.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | if the annotation_name is empty.

Returns
  const CompleteAnnotationHeader instance.

## ◆ build_complete_annotation_parameter()

FASTDDS_EXPORTED_API const CompleteAnnotationParameter build_complete_annotation_parameter | ( | const CommonAnnotationParameter & | common,
|  | const MemberName & | name,
|  | const AnnotationParameterValue & | default_value )

static

Build CompleteAnnotationParameter instance.

Parameters

  [in] | common | CommonAnnotationParameter.
  [in] | name | Member name.
  [in] | default_value | Annotation default value.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonAnnotationParameter is inconsistent (only in Debug build mode).
  2. CommonAnnotationParameter TypeIdentifier is inconsistent with AnnotationParameterValue type.
  3. Given parameter name is empty.

Returns
  const CompleteAnnotationParameter instance.

## ◆ build_complete_annotation_type()

FASTDDS_EXPORTED_API const CompleteAnnotationType build_complete_annotation_type | ( | AnnotationTypeFlag | annotation_flag,
|  | const CompleteAnnotationHeader & | header,
|  | const CompleteAnnotationParameterSeq & | member_seq )

static

MinimalAnnotationHeader constructed from CompleteAnnotationHeader: empty.

Available for future extension.

Build CompleteAnnotationType instance.

Parameters

  [in] | annotation_flag | Unused. No flags apply. It must be 0.
  [in] | header | CompleteAnnotationHeader.
  [in] | member_seq | CompleteAnnotationParameter sequence.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any annotation flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Any CompleteAnnotationParameter in the sequence is inconsistent (only in Debug build mode).

Returns
  const CompleteAnnotationType instance.

## ◆ build_complete_array_header()

FASTDDS_EXPORTED_API const CompleteArrayHeader build_complete_array_header | ( | const CommonArrayHeader & | common,
|  | const CompleteTypeDetail & | detail )

static

Build CompleteArrayHeader instance.

Parameters

  [in] | common | CommonArrayHeader.
  [in] | detail | CompleteTypeDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonArrayHeader is inconsistent (only in Debug build mode).
  2. Given CompleteTypeDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteArrayHeader instance.

## ◆ build_complete_array_type()

FASTDDS_EXPORTED_API const CompleteArrayType build_complete_array_type | ( | CollectionTypeFlag | collection_flag,
|  | const CompleteArrayHeader & | header,
|  | const CompleteCollectionElement & | element )

static

MinimalArrayHeader constructed from CompleteArrayHeader.

Build CompleteArrayType instance.

Parameters

  [in] | collection_flag | collection type flag: unused. No flags apply. It must be 0.
  [in] | header | CompleteArrayHeader.
  [in] | element | CompleteCollectionElement.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any collection flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Given element is inconsistent (only in Debug build mode).

Returns
  const CompleteArrayType instance.

## ◆ build_complete_bitfield()

FASTDDS_EXPORTED_API const CompleteBitfield build_complete_bitfield | ( | const CommonBitfield & | common,
|  | const CompleteMemberDetail & | detail )

static

Build CompleteBitfield instance.

Parameters

  [in] | common | CommonBitfield.
  [in] | detail | CompleteMemberDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonBitfield is inconsistent (only Debug build mode).
  2. Give CompleteMemberDetail is inconsistent (only Debug build mode).
  3. Non-applicable builtin annotations are applied.

Returns
  const CompleteBitfield instance.

## ◆ build_complete_bitflag()

FASTDDS_EXPORTED_API const CompleteBitflag build_complete_bitflag | ( | const CommonBitflag & | common,
|  | const CompleteMemberDetail & | detail )

static

Build CompleteBitflag instance.

Parameters

  [in] | common | CommonBitflag.
  [in] | detail | CompleteMemberDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonBitflag is inconsistent (only in Debug build mode).
  2. Given CompleteMemberDetail is inconsistent (only in Debug build mode).
  3. Non-applicable builtin annotations applied.

Returns
  const CompleteBitflag instance.

## ◆ build_complete_bitmask_type()

FASTDDS_EXPORTED_API const CompleteBitmaskType build_complete_bitmask_type | ( | BitmaskTypeFlag | bitmask_flags,
|  | const CompleteBitmaskHeader & | header,
|  | const CompleteBitflagSeq & | flag_seq )

static

MinimalBitflag constructed from CompleteBitflag.

CommonBitmaskHeader is not used. CompleteBitmaskHeader is defined as CompleteEnumeratedHeader. MinimalBitmaskHeader is defined as MinimalEnumeratedHeader.

Build CompleteBitmaskType instance.

Parameters

  [in] | bitmask_flags | Bitmask flags: unused. No flags apply. It must be 0.
  [in] | header | CompleteBitmaskHeader/CompleteEnumeratedHeader
  [in] | flag_seq | Sequence of CompleteBitflag.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. any given flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Given Bitflag sequence is inconsistent (only in Debug build mode).

Returns
  const CompleteBitmaskType instance.

## ◆ build_complete_bitset_header()

FASTDDS_EXPORTED_API const CompleteBitsetHeader build_complete_bitset_header | ( | const CompleteTypeDetail & | detail | ) |

static

MinimalBitfield constructed from CompleteBitfield.

Build CompleteBitsetHeader instance.

Parameters

  [in] | detail | CompleteTypeDetail

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteTypeDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteBitsetHeader instance.

## ◆ build_complete_bitset_type()

FASTDDS_EXPORTED_API const CompleteBitsetType build_complete_bitset_type | ( | BitsetTypeFlag | bitset_flags,
|  | const CompleteBitsetHeader & | header,
|  | const CompleteBitfieldSeq & | field_seq )

static

MinimalBitsetHeader constructed from CompleteBitsetHeader.

Build CompleteBitsetType instance.

Parameters

  [in] | bitset_flags | Bitset flags: unused. No flags apply. It must be 0.
  [in] | header | CompleteBitsetHeader.
  [in] | field_seq | Sequence of complete bitfields.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any given flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Given bitfield sequence is inconsistent (only in Debug build mode).

Returns
  const CompleteBitsetType instance.

## ◆ build_complete_collection_element()

FASTDDS_EXPORTED_API const CompleteCollectionElement build_complete_collection_element | ( | const CommonCollectionElement & | common,
|  | const CompleteElementDetail & | detail )

static

Build CompleteCollectionElement instance.

Parameters

  [in] | common | CommonCollectionElement.
  [in] | detail | CompleteElementDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonCollectionElement is not consistent (only in Debug build mode).
  2. Given CompleteElementDetail is not consistent (only in Debug build mode).

Returns
  const CompleteCollectionElement instance

## ◆ build_complete_collection_header()

FASTDDS_EXPORTED_API const CompleteCollectionHeader build_complete_collection_header | ( | const CommonCollectionHeader & | common,
|  | const eprosima::fastcdr::optional< CompleteTypeDetail > & | detail )

static

Build CompleteCollectionHeader instance.

Parameters

  [in] | common | CommonCollectionHeader
  [in] | detail | CompleteTypeDetail

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonCollectionHeader is inconsistent (only in Debug build mode).
  2. Given CompleteTypeDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteCollectionHeader instance.

## ◆ build_complete_discriminator_member()

FASTDDS_EXPORTED_API const CompleteDiscriminatorMember build_complete_discriminator_member | ( | const CommonDiscriminatorMember & | common,
|  | const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & | ann_builtin,
|  | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom )

static

Build CompleteDiscriminatorMember instance.

Parameters

  [in] | common | CommonDiscriminatorMember.
  [in] | ann_builtin | Verbatim annotation.
  [in] | ann_custom | Applied annotations.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonDiscriminatorMember is inconsistent (only in Debug build mode).
  2. AppliedBuiltinTypeAnnotation is inconsistent (only in Debug build mode).
  3. Any given AppliedAnnotation is inconsistent (only in Debug build mode).
  4. CommonDiscriminatorMember is inconsistent with given builtin annotations.

Returns
  const CompleteDiscriminatorMember instance.

## ◆ build_complete_element_detail()

FASTDDS_EXPORTED_API const CompleteElementDetail build_complete_element_detail | ( | const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin,
|  | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom )

static

MinimalAliasType constructed from CompleteAliasType.

Build CompleteElementDetail instance.

Parameters

  [in] | ann_builtin | Applied builtin member annotations: unit, max, min, range, hashid
  [in] | ann_custom | Applied custom annotations

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. AppliedAnnotationSeq is inconsistent (only Debug build mode).
  2. hashid builtin annotation is applied.

Returns
  const CompleteElementDetail instance.

## ◆ build_complete_enumerated_header()

FASTDDS_EXPORTED_API const CompleteEnumeratedHeader build_complete_enumerated_header | ( | const CommonEnumeratedHeader & | common,
|  | const CompleteTypeDetail & | detail,
|  | bool | bitmask = false )

static

Build CompleteEnumeratedHeader instance.

Parameters

  [in] | common | CommonEnumeratedHeader.
  [in] | detail | CompleteTypeDetail.
  [in] | bitmask | flag set if the given header corresponds to a bitmask. Only required in Debug build mode. Set to false by default.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonEnumeratedHeader is inconsistent (only in Debug build mode).
  2. Given CompleteTypeDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteEnumeratedHeader instance.

## ◆ build_complete_enumerated_literal()

FASTDDS_EXPORTED_API const CompleteEnumeratedLiteral build_complete_enumerated_literal | ( | const CommonEnumeratedLiteral & | common,
|  | const CompleteMemberDetail & | detail )

static

Build CompleteEnumeratedLiteral instance.

Parameters

  [in] | common | CommonEnumeratedLiteral.
  [in] | detail | CompleteMemberDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonEnumeratedLiteral is inconsistent (only in Debug build mode).
  2. Given CompleteMemberDetail is inconsistent (only in Debug build mode).

Returns
  const CompleteEnumeratedLiteral instance.

## ◆ build_complete_enumerated_type()

FASTDDS_EXPORTED_API const CompleteEnumeratedType build_complete_enumerated_type | ( | EnumTypeFlag | enum_flags,
|  | const CompleteEnumeratedHeader & | header,
|  | const CompleteEnumeratedLiteralSeq & | literal_seq )

static

MinimalEnumeratedHeader constructed from CompleteEnumeratedHeader.

Build CompleteEnumeratedType instance.

Parameters

  [in] | enum_flags | Enumeration flags: unused. No flags apply. It must be 0.
  [in] | header | CompleteEnumeratedHeader.
  [in] | literal_seq | Sequence of CompleteEnumeratedLiterals.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any flag is set.
  2. Given CompleteEnumeratedHeader is inconsistent (only in Debug build mode).
  3. Given CompleteEnumeratedLiteralSeq is inconsistent (only in Debug build mode).

Returns
  const CompleteEnumeratedType instance.

## ◆ build_complete_extended_type()

FASTDDS_EXPORTED_API const CompleteExtendedType build_complete_extended_type | ( |  | ) |

static

MinimalBitsetType constructed from CompleteBitsetType.

Build CompleteExtendedType instance. (empty. Available for future extension)

Returns
  const CompleteExtendedType instance.

## ◆ build_complete_map_type()

FASTDDS_EXPORTED_API const CompleteMapType build_complete_map_type | ( | CollectionTypeFlag | collection_flag,
|  | const CompleteCollectionHeader & | header,
|  | const CompleteCollectionElement & | key,
|  | const CompleteCollectionElement & | element )

static

MinimalArrayType constructed from CompleteArrayType.

Build CompleteMapType instance.

Parameters

  [in] | collection_flag | collection type flag: unused. No flags apply. It must be 0.
  [in] | header | CompleteArrayHeader.
  [in] | key | CompleteCollectionElement describing map key.
  [in] | element | CompleteCollectionElement describing map element.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any collection flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Given key TypeIdentifier is inconsistent.
  4. Given key description is inconsistent (only in Debug build mode).
  5. Given element is inconsistent (only in Debug build mode).

Returns
  const CompleteMapType instance.

## ◆ build_complete_member_detail()

FASTDDS_EXPORTED_API const CompleteMemberDetail build_complete_member_detail | ( | const MemberName & | name,
|  | const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin,
|  | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom )

static

Build CompleteMemberDetail instance.

Parameters

  [in] | name | Member name.
  [in] | ann_builtin | Member builtin annotations.
  [in] | ann_custom | Member custom annotations.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Empty member name.
  2. Given AppliedAnnotationSeq is not consistent (only Debug build mode).

Returns
  const CompleteMemberDetail instance.

## ◆ build_complete_sequence_type()

FASTDDS_EXPORTED_API const CompleteSequenceType build_complete_sequence_type | ( | CollectionTypeFlag | collection_flag,
|  | const CompleteCollectionHeader & | header,
|  | const CompleteCollectionElement & | element )

static

MinimalCollectionHeader constructed from CompleteCollectionHeader.

Build CompleteSequenceType instance.

Parameters

  [in] | collection_flag | collection type flag: unused. No flags apply. It must be 0.
  [in] | header | CompleteCollectionHeader.
  [in] | element | CompleteCollectionElement.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Any collection flag is set.
  2. Given header is inconsistent (only in Debug build mode).
  3. Given element is inconsistent (only in Debug build mode).

Returns
  const CompleteSequenceType instance

## ◆ build_complete_struct_header()

FASTDDS_EXPORTED_API const CompleteStructHeader build_complete_struct_header | ( | const TypeIdentifier & | base_type,
|  | const CompleteTypeDetail & | detail )

static

Build CompleteStructHeader instance.

Parameters

  [in] | base_type | TypeIdentifier of the parent structure (inheritance).
  [in] | detail | CompleteTypeDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given TypeIdentifier is not consistent (direct HASH or empty TypeIdentifier). In Debug build mode the corresponding TypeObject is also checked in case of direct HASH TypeIdentifier.
  2. Given CompleteTypeDetail is not consistent (only in Debug build mode).

Returns
  const CompleteStructHeader instance.

## ◆ build_complete_struct_member()

FASTDDS_EXPORTED_API const CompleteStructMember build_complete_struct_member | ( | const CommonStructMember & | common,
|  | const CompleteMemberDetail & | detail )

static

MinimalMemberDetail constructed from CompleteMemberDetail.

Build CompleteStructMember instance.

Parameters

  [in] | common | CommonStructMember to be set.
  [in] | detail | CompleteMemberDetail to be set.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonStructMember is inconsistent (only Debug build mode).
  2. Given CompleteMemberDetail is inconsistent (only Debug build mode).

Returns
  const CompleteMemberDetail instance.

## ◆ build_complete_struct_type()

FASTDDS_EXPORTED_API const CompleteStructType build_complete_struct_type | ( | StructTypeFlag | struct_flags,
|  | const CompleteStructHeader & | header,
|  | const CompleteStructMemberSeq & | member_seq )

static

MinimalStructHeader constructed from CompleteStructHeader.

Build CompleteStructType instance.

Parameters

  [in] | struct_flags | StructTypeFlags.
  [in] | header | CompleteStructHeader.
  [in] | member_seq | Sequence of CompleteStructMembers.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given StructTypeFlag is not consistent (only in Debug build mode).
  2. Given CompleteStructHeader is not consistent (only in Debug build mode).
  3. Given CompleteStructMemberSeq is not consistent (only in Debug build mode).
  4. Given flags are not consistent with the builtin annotations.

Returns
  const CompleteStructType instance.

## ◆ build_complete_type_detail()

FASTDDS_EXPORTED_API const CompleteTypeDetail build_complete_type_detail | ( | const eprosima::fastcdr::optional< AppliedBuiltinTypeAnnotations > & | ann_builtin,
|  | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom,
|  | const QualifiedTypeName & | type_name )

static

MinimalTypeDetail constructed from CompleteTypeDetail: empty.

Available for future extension.

Build CompleteTypeDetail instance.

Parameters

  [in] | ann_builtin | Verbatim annotation.
  [in] | ann_custom | Applied annotations.
  [in] | type_name | Name of the type.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. any applied annotation is not consistent (only Debug build mode).

Returns
  const CompleteTypeDetail instance.

## ◆ build_complete_union_header()

FASTDDS_EXPORTED_API const CompleteUnionHeader build_complete_union_header | ( | const CompleteTypeDetail & | detail | ) |

static

MinimalDiscriminatorMember constructed from CompleteDiscriminatorMember.

Build CompleteUnionHeader instance.

Parameters

  detail | CompleteTypeDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteTypeDetail is not consistent (only in Debug build mode).

Returns
  const CompleteUnionHeader instance.

## ◆ build_complete_union_member()

FASTDDS_EXPORTED_API const CompleteUnionMember build_complete_union_member | ( | const CommonUnionMember & | common,
|  | const CompleteMemberDetail & | detail )

static

Build CompleteUnionMember instance.

Parameters

  [in] | common | CommonUnionMember.
  [in] | detail | CompleteMemberDetail.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given CommonUnionMember is not consistent (only in Debug build mode).
  2. Given CompleteMemberDetail is not consistent (only in Debug build mode).

Returns
  const CompleteUnionMember instance.

## ◆ build_complete_union_type()

FASTDDS_EXPORTED_API const CompleteUnionType build_complete_union_type | ( | UnionTypeFlag | union_flags,
|  | const CompleteUnionHeader & | header,
|  | const CompleteDiscriminatorMember & | discriminator,
|  | const CompleteUnionMemberSeq & | member_seq )

static

MinimalUnionHeader constructed from CompleteUnionHeader.

Build CompleteUnionType instance.

Parameters

  [in] | union_flags |
  [in] | header |
  [in] | discriminator |
  [in] | member_seq |

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception if:
  1. Given UnionTypeFlags are not consistent (only in Debug build mode).
  2. Given CompleteUnionHeader is not consistent (only in Debug build mode).
  3. Given CompleteDiscriminatorMember inconsistent (only in Debug build mode).
  4. Given CompleteUnionMemberSeq is not consistent (only in Debug build mode).
  5. Given flags are not consistent with the builtin annotations.

Returns
  const CompleteUnionType instance.

## ◆ build_enumerated_literal_flag()

FASTDDS_EXPORTED_API EnumeratedLiteralFlag build_enumerated_literal_flag | ( | bool | default_literal | ) |

static

Build EnumeratedLiteralFlag instance.

Parameters

  [in] | default_literal | default_literal annotation value.

Returns
  EnumeratedLiteralFlag instance.

## ◆ build_extended_annotation_parameter_value()

FASTDDS_EXPORTED_API const ExtendedAnnotationParameterValue build_extended_annotation_parameter_value | ( |  | ) |

static

Build ExtendedAnnotationParameterValue instance (empty.

Available for future extension).

Returns
  const ExtendedAnnotationParameterValue instance.

## ◆ build_extended_type_defn()

FASTDDS_EXPORTED_API const ExtendedTypeDefn build_extended_type_defn | ( |  | ) |

static

Build ExtendedTypeDefn instance (empty.

Available for future extension).

Returns
  const ExtendedTypeDefn instance.

## ◆ build_plain_array_l_elem_defn()

FASTDDS_EXPORTED_API const PlainArrayLElemDefn build_plain_array_l_elem_defn | ( | const PlainCollectionHeader & | header,
|  | const LBoundSeq & | array_bound_seq,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier )

static

Build PlainArrayLElemDefn instance.

Precondition
  At least one element of array_bound_seq must be greater than 255 and no element must be 0 (INVALID_SBOUND)
  element_identifier has been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | array_bound_seq | Bounds for the array dimensions.
  [in] | element_identifier | Array element TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. Any given bound in array_bound_seq is 0.
  2. There is no dimension with a bound greater than 255.
  3. The given TypeIdentifier EquivalenceKind is not consistent with the one contained in the header.
  4. Inconsistent header (only in Debug build mode).
  5. Inconsistent element_identifier (only in Debug build mode).

Returns
  const PlainArrayLElemDefn instance.

## ◆ build_plain_array_s_elem_defn()

FASTDDS_EXPORTED_API const PlainArraySElemDefn build_plain_array_s_elem_defn | ( | const PlainCollectionHeader & | header,
|  | const SBoundSeq & | array_bound_seq,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier )

static

Build PlainArraySElemDefn instance.

Precondition
  Any element in array_bound_seq must be greater than 0 (INVALID_SBOUND)
  element_identifier has been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | array_bound_seq | Bounds for the array dimensions.
  [in] | element_identifier | Array element TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. Any given bound in array_bound_seq is 0.
  2. The given TypeIdentifier EquivalenceKind is not consistent with the one contained in the header.
  3. Inconsistent header (only in Debug build mode).
  4. Inconsistent element_identifier (only in Debug build mode).

Returns
  const PlainArraySElemDefn instance.

## ◆ build_plain_collection_header()

FASTDDS_EXPORTED_API const PlainCollectionHeader build_plain_collection_header | ( | EquivalenceKind | equiv_kind,
|  | CollectionElementFlag | element_flags )

static

Build PlainCollectionHeader instance.

Parameters

  [in] | equiv_kind | EquivalenceKind: EK_MINIMAL/EK_COMPLETE/EK_BOTH
  [in] | element_flags | CollectionElementFlags to be set. This element must be constructed with the corresponding builder to ensure its consistency.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | if the given element_flags are inconsistent. This exception is only thrown in Debug build mode.

Returns
  const PlainCollectionHeader instance.

## ◆ build_plain_map_l_type_defn()

FASTDDS_EXPORTED_API const PlainMapLTypeDefn build_plain_map_l_type_defn | ( | const PlainCollectionHeader & | header,
|  | const LBound | bound,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier,
|  | const CollectionElementFlag | key_flags,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | key_identifier )

static

Build PlainMapLTypeDefn instance.

Precondition
  bound > 255
  Both element_identifier and key_identifier have been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | bound | Map bound.
  [in] | element_identifier | Map element TypeIdentifier.
  [in] | key_flags | Flags applying to map key.
  [in] | key_identifier | Map key TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. Given bound is lower than 256
  2. Inconsistent element_identifier EquivalenceKind with the one contained in the header.
  3. Direct hash key_identifier or indirect hash TypeIdentifier with exception to string/wstring. XTypes v1.3 Clause 7.2.2.4.3: Implementers of this specification need only support key elements of signed and unsigned integer types and of narrow and wide string types.
  4. Inconsistent key_flags.
  5. Inconsistent header (only in Debug build mode).
  6. Inconsistent element_identifier or key_identifier (only in Debug build mode).

Returns
  const PlainMapLTypeDefn instance.

## ◆ build_plain_map_s_type_defn()

FASTDDS_EXPORTED_API const PlainMapSTypeDefn build_plain_map_s_type_defn | ( | const PlainCollectionHeader & | header,
|  | const SBound | bound,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier,
|  | const CollectionElementFlag | key_flags,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | key_identifier )

static

Build PlainMapSTypeDefn instance.

Precondition
  bound > 0 (INVALID_SBOUND)
  Both element_identifier and key_identifier have been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | bound | Map bound.
  [in] | element_identifier | Map element TypeIdentifier.
  [in] | key_flags | Flags applying to map key.
  [in] | key_identifier | Map key TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. Given bound is zero (INVALID_SBOUND)
  2. Inconsistent element_identifier EquivalenceKind with the one contained in the header.
  3. Direct hash key_identifier or indirect hash TypeIdentifier with exception to string/wstring. XTypes v1.3 Clause 7.2.2.4.3: Implementers of this specification need only support key elements of signed and unsigned integer types and of narrow and wide string types.
  4. Inconsistent key_flags.
  5. Inconsistent header (only in Debug build mode).
  6. Inconsistent element_identifier or key_identifier (only in Debug build mode).

Returns
  const PlainMapSTypeDefn instance.

## ◆ build_plain_sequence_l_elem_defn()

FASTDDS_EXPORTED_API const PlainSequenceLElemDefn build_plain_sequence_l_elem_defn | ( | const PlainCollectionHeader & | header,
|  | LBound | l_bound,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier )

static

Build PlainSequenceLElemDefn instance.

Precondition
  bound > 255
  element_identifier has been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | l_bound | Sequence bound.
  [in] | element_identifier | Sequence element TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. Bound lower than 256.
  2. The given TypeIdentifier EquivalenceKind is not consistent with the one contained in the header.
  3. Inconsistent header (only in Debug build mode).
  4. Inconsistent element_identifier (only in Debug build mode).

Returns
  const PlainSequenceLElemDefn instance.

## ◆ build_plain_sequence_s_elem_defn()

FASTDDS_EXPORTED_API const PlainSequenceSElemDefn build_plain_sequence_s_elem_defn | ( | const PlainCollectionHeader & | header,
|  | SBound | s_bound,
|  | const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier )

static

Build PlainSequenceSElemDefn instance.

Precondition
  bound > 0 (INVALID_SBOUND)
  element_identifier has been initialized.

Parameters

  [in] | header | PlainCollectionHeader to be set.
  [in] | s_bound | Sequence bound.
  [in] | element_identifier | Sequence element TypeIdentifier.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError

  exception
  1. The given bound is 0.
  2. The given TypeIdentifier EquivalenceKind is not consistent with the one contained in the header.
  3. Inconsistent header (only in Debug build mode).
  4. Inconsistent element_identifier (only in Debug build mode).

Returns
  const PlainSequenceSElemDefn instance.

## ◆ build_string_l_type_defn()

FASTDDS_EXPORTED_API const StringLTypeDefn build_string_l_type_defn | ( | LBound | bound | ) |

static

Build StringLTypeDefn instance.

Precondition
  bound > 255

Parameters

  [in] | bound | Bound for the large string/wstring.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if bound is lower than 256.

Returns
  const StringLTypeDefn instance.

## ◆ build_string_s_type_defn()

FASTDDS_EXPORTED_API const StringSTypeDefn build_string_s_type_defn | ( | SBound | bound | ) |

static

CollectionTypeFlag: Unused.

No flags apply. AnnotationTypeFlag: Unused. No flags apply. AliasTypeFlag: Unused. No flags apply. EnumTypeFlag: Unused. No flags apply. BitmaskTypeFlag: Unused. No flags apply. BitsetTypeFlag: Unused. No flags apply.

Build StringSTypeDefn instance.

Precondition
  bound > 0 (INVALID_SBOUND)

Parameters

  [in] | bound | Bound for the small string/wstring.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if bound is 0.

Returns
  const StringSTypeDefn instance.

## ◆ build_strongly_connected_component_id()

FASTDDS_EXPORTED_API const StronglyConnectedComponentId build_strongly_connected_component_id | ( | const TypeObjectHashId & | sc_component_id,
|  | int32_t | scc_length,
|  | int32_t | scc_index )

static

Build StronglyConnectedComponentId instance.

Parameters

  [in] | sc_component_id | Strongly Connected Component (SCC) ID.
  [in] | scc_length | Number of components within SCC.
  [in] | scc_index | Identify specific component within SCC.

Returns
  const StronglyConnectedComponentId instance.

## ◆ build_struct_member_flag()

FASTDDS_EXPORTED_API StructMemberFlag build_struct_member_flag | ( | TryConstructFailAction | try_construct_kind,
|  | bool | optional,
|  | bool | must_understand,
|  | bool | key,
|  | bool | external )

static

Build StructMemberFlag instance.

Parameters

  [in] | try_construct_kind | try_construct annotation value.
  [in] | optional | optional annotation value.
  [in] | must_understand | must_understand annotation value.
  [in] | key | key annotation value.
  [in] | external | external annotation value.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if both key and optional flags are enabled.

Returns
  StructMemberFlag instance.

## ◆ build_struct_type_flag()

FASTDDS_EXPORTED_API StructTypeFlag build_struct_type_flag | ( | ExtensibilityKind | extensibility_kind,
|  | bool | nested,
|  | bool | autoid_hash )

static

AnnotationParameterFlag: Unused.

No flags apply. AliasMemberFlag: Unused. No flags apply. BitflagFlag: Unused. No flags apply. BitsetMemberFlag: Unused. No flags apply.

Build StructTypeFlag instance.

Parameters

  [in] | extensibility_kind | extensibility annotation value.
  [in] | nested | nested annotation value.
  [in] | autoid_hash | autoid annotation has HASH value.

Returns
  StructTypeFlag instance.

## ◆ build_type_object_hash_id()

FASTDDS_EXPORTED_API const TypeObjectHashId build_type_object_hash_id | ( | uint8_t | discriminator,
|  | const EquivalenceHash & | hash )

static

Build TypeObjectHashId instance.

Parameters

  [in] | discriminator | TypeObjectHashId discriminator to be set.
  [in] | hash | StronglyConnectedComponent equivalence hash to be set.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given discriminator is not EK_COMPLETE/EK_MINIMAL.

Returns
  const TypeObjectHashId instance.

## ◆ build_union_discriminator_flag()

FASTDDS_EXPORTED_API UnionDiscriminatorFlag build_union_discriminator_flag | ( | TryConstructFailAction | try_construct_kind,
|  | bool | key )

static

Build UnionDiscriminatorFlag instance.

Parameters

  [in] | try_construct_kind | try_construct annotation value.
  [in] | key | key annotation value.

Returns
  UnionDiscriminatorFlag instance.

## ◆ build_union_member_flag()

FASTDDS_EXPORTED_API UnionMemberFlag build_union_member_flag | ( | TryConstructFailAction | try_construct_kind,
|  | bool | default_member,
|  | bool | external )

static

Build UnionMemberFlag instance.

Parameters

  [in] | try_construct_kind | try_construct annotation value.
  [in] | default_member | is default member.
  [in] | external | external annotation value.

Returns
  UnionMemberFlag instance.

## ◆ build_union_type_flag()

FASTDDS_EXPORTED_API UnionTypeFlag build_union_type_flag | ( | ExtensibilityKind | extensibility_kind,
|  | bool | nested,
|  | bool | autoid_hash )

static

Build UnionTypeFlag instance.

Parameters

  [in] | extensibility_kind | extensibility annotation value.
  [in] | nested | nested annotation value.
  [in] | autoid_hash | autoid annotation has HASH value.

Returns
  UnionTypeFlag instance.

## ◆ collection_element_flag_consistency()

void collection_element_flag_consistency | ( | CollectionElementFlag | collection_element_flag | ) |

static protected

Check CollectionElementFlag consistency.

Parameters

  [in] | collection_element_flag | CollectionElementFlag to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CollectionElementFlag is not consistent.

## ◆ common_alias_body_consistency()

void common_alias_body_consistency | ( | const CommonAliasBody & | common_alias_body | ) |

static protected

Check CommonAliasBody consistency.

Parameters

  [in] | common_alias_body | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonAliasBody is not consistent.

## ◆ common_annotation_parameter_consistency()

void common_annotation_parameter_consistency | ( | const CommonAnnotationParameter & | common_annotation_parameter | ) |

static protected

Check CommonAnnotationParameter consistency.

Parameters

  [in] | common_annotation_parameter | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonAnnotationParameter is not consistent.

## ◆ common_annotation_parameter_type_identifier_default_value_consistency()

void common_annotation_parameter_type_identifier_default_value_consistency | ( | const TypeIdentifier & | type_id,
|  | const AnnotationParameterValue & | value )

static protected

Check that the annotation value is of the same type as the given TypeIdentifier.

Parameters

  type_id | TypeIdentifier.
  value | AnnotationParameterValue.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent with the given value.

## ◆ common_array_header_consistency()

void common_array_header_consistency | ( | const CommonArrayHeader & | common_array_header | ) |

static protected

Check CommonArrayHeader consistency.

Parameters

  [in] | common_array_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonArrayHeader is not consistent.

## ◆ common_bitfield_consistency()

void common_bitfield_consistency | ( | const CommonBitfield & | common_bitfield | ) |

static protected

Check CommonBitfield consistency.

Parameters

  [in] | common_bitfield | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonBitfield is not consistent.

## ◆ common_bitflag_consistency()

void common_bitflag_consistency | ( | const CommonBitflag & | common_bitflag | ) |

static protected

Check CommonBitflag consistency.

Parameters

  [in] | common_bitflag | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonBitflag is not consistent.

## ◆ common_collection_element_consistency()

void common_collection_element_consistency | ( | const CommonCollectionElement & | common_collection_element | ) |

static protected

Check CommonCollectionElement consistency.

Parameters

  [in] | common_collection_element | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonCollectionElement is not consistent.

## ◆ common_discriminator_member_consistency()

void common_discriminator_member_consistency | ( | const CommonDiscriminatorMember & | common_discriminator_member | ) |

static protected

Check CommonDiscriminatorMember consistency.

Parameters

  [in] | common_discriminator_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonDiscriminatorMember is not consistent.

## ◆ common_discriminator_member_type_identifier_consistency()

void common_discriminator_member_type_identifier_consistency | ( | const TypeIdentifier & | type_id | ) |

static protected

Check discriminator TypeIdentifier consistency.

Parameters

  [in] | type_id | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent.

## ◆ common_enumerated_header_consistency()

void common_enumerated_header_consistency | ( | const CommonEnumeratedHeader & | common_enumerated_header,
|  | bool | bitmask = false )

static protected

Check CommonEnumeratedHeader consistency.

Parameters

  [in] | common_enumerated_header | Instance to be checked.
  [in] | bitmask | flag in case that the header corresponds to a Bitmask. By default is false.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonEnumeratedHeader is not consistent.

## ◆ common_enumerated_literal_consistency()

void common_enumerated_literal_consistency | ( | const CommonEnumeratedLiteral & | common_enumerated_literal | ) |

static protected

Check CommonEnumeratedLiteral consistency.

Parameters

  [in] | common_enumerated_literal | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonEnumeratedLiteral is not consistent.

## ◆ common_struct_member_and_complete_member_detail_consistency()

void common_struct_member_and_complete_member_detail_consistency | ( | const CommonStructMember & | common_struct_member,
|  | const CompleteMemberDetail & | complete_member_detail )

static protected

Check cross-consistency between CommonStructMember and CompleteMemberDetail.

Parameters

  [in] | common_struct_member | CommonStructMember to be checked.
  [in] | complete_member_detail | CompleteMemberDetail to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the hashid builtin applied annotation is set and inconsistent with the member id.

## ◆ common_struct_member_consistency()

void common_struct_member_consistency | ( | const CommonStructMember & | common_struct_member | ) |

static protected

Check CommonStructMember consistency.

Parameters

  [in] | common_struct_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonStructMember is not consistent.

## ◆ common_union_member_complete_member_detail_consistency()

void common_union_member_complete_member_detail_consistency | ( | const CommonUnionMember & | common_union_member,
|  | const CompleteMemberDetail & | complete_member_detail )

static protected

Check cross-consistency between CommonStructMember and CompleteMemberDetail.

Parameters

  [in] | common_union_member | CommonStructMember to be checked.
  [in] | complete_member_detail | CompleteMemberDetail to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the hashid builtin annotation is set and the member id is not consistent.

## ◆ common_union_member_consistency()

void common_union_member_consistency | ( | const CommonUnionMember & | common_union_member | ) |

static protected

Check CommonUnionMember consistency.

Parameters

  [in] | common_union_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CommonUnionMember is not consistent.

## ◆ complete_alias_body_consistency()

void complete_alias_body_consistency | ( | const CompleteAliasBody & | complete_alias_body | ) |

static protected

Check CompleteAliasBody consistency.

Parameters

  [in] | complete_alias_body | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAliasBody is not consistent.

## ◆ complete_alias_header_consistency()

void complete_alias_header_consistency | ( | const CompleteAliasHeader & | complete_alias_header | ) |

static protected

Check CompleteAliasHeader consistency.

Parameters

  [in] | complete_alias_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAliasHeader is not consistent.

## ◆ complete_alias_type_consistency()

void complete_alias_type_consistency | ( | const CompleteAliasType & | complete_alias_type | ) |

static protected

Check CompleteAliasType consistency.

Parameters

  [in] | complete_alias_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAliasType is not consistent.

## ◆ complete_annotation_header_consistency()

void complete_annotation_header_consistency | ( | const CompleteAnnotationHeader & | complete_annotation_header | ) |

static protected

Check CompleteAnnotationHeader consistency.

Parameters

  [in] | complete_annotation_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAnnotationHeader is not consistent.

## ◆ complete_annotation_parameter_consistency()

void complete_annotation_parameter_consistency | ( | const CompleteAnnotationParameter & | complete_annotation_parameter | ) |

static protected

Check CompleteAnnotationParameter consistency.

Parameters

  [in] | complete_annotation_parameter | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAnnotationParameter is not consistent.

## ◆ complete_annotation_parameter_seq_consistency()

void complete_annotation_parameter_seq_consistency | ( | const CompleteAnnotationParameterSeq & | complete_annotation_parameter_seq | ) |

static protected

Check CompleteAnnotationParameterSeq consistency.

Parameters

  [in] | complete_annotation_parameter_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAnnotationParameterSeq is not consistent.

## ◆ complete_annotation_type_consistency()

void complete_annotation_type_consistency | ( | const CompleteAnnotationType & | complete_annotation_type | ) |

static protected

Check CompleteAnnotationType consistency.

Parameters

  [in] | complete_annotation_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteAnnotationType is not consistent.

## ◆ complete_array_header_consistency()

void complete_array_header_consistency | ( | const CompleteArrayHeader & | complete_array_header | ) |

static protected

Check CompleteArrayHeader consistency.

Parameters

  [in] | complete_array_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteArrayHeader is not consistent.

## ◆ complete_array_type_consistency()

void complete_array_type_consistency | ( | const CompleteArrayType & | complete_array_type | ) |

static protected

Check CompleteArrayType consistency.

Parameters

  [in] | complete_array_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteArrayType is not consistent.

## ◆ complete_bitfield_consistency()

void complete_bitfield_consistency | ( | const CompleteBitfield & | complete_bitfield | ) |

static protected

Check CompleteBitfield consistency.

Parameters

  [in] | complete_bitfield | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitfield is not consistent.

## ◆ complete_bitfield_seq_consistency()

void complete_bitfield_seq_consistency | ( | const CompleteBitfieldSeq & | complete_bitfield_seq | ) |

static protected

Check CompleteBitfieldSeq consistency.

Parameters

  [in] | complete_bitfield_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitfieldSeq is not consistent.

## ◆ complete_bitflag_consistency()

void complete_bitflag_consistency | ( | const CompleteBitflag & | complete_bitflag | ) |

static protected

Check CompleteBitflag consistency.

Parameters

  [in] | complete_bitflag | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitflag is not consistent.

## ◆ complete_bitflag_seq_consistency()

void complete_bitflag_seq_consistency | ( | const CompleteBitflagSeq & | complete_bitflag_seq | ) |

static protected

Check CompleteBitflagSeq consistency.

Parameters

  [in] | complete_bitflag_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitflagSeq is not consistent.

## ◆ complete_bitmask_type_consistency()

void complete_bitmask_type_consistency | ( | const CompleteBitmaskType & | complete_bitmask_type | ) |

static protected

Check CompleteBitmaskType consistency.

Parameters

  [in] | complete_bitmask_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitmaskType is not consistent.

## ◆ complete_bitset_header_consistency()

void complete_bitset_header_consistency | ( | const CompleteBitsetHeader & | complete_bitset_header | ) |

static protected

Check CompleteBitsetHeader consistency.

Parameters

  [in] | complete_bitset_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitsetHeader is not consistent.

## ◆ complete_bitset_type_consistency()

void complete_bitset_type_consistency | ( | const CompleteBitsetType & | complete_bitset_type | ) |

static protected

Check CompleteBitsetType consistency.

Parameters

  [in] | complete_bitset_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteBitsetType is not consistent.

## ◆ complete_collection_element_consistency()

void complete_collection_element_consistency | ( | const CompleteCollectionElement & | complete_collection_element | ) |

static protected

Check CompleteCollectionElement consistency.

Parameters

  [in] | complete_collection_element | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteCollectionElement is not consistent.

## ◆ complete_collection_header_consistency()

void complete_collection_header_consistency | ( | const CompleteCollectionHeader & | complete_collection_header | ) |

static protected

Check CompleteCollectionHeader consistency.

Parameters

  [in] | complete_collection_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteCollectionHeader is not consistent.

## ◆ complete_discriminator_member_consistency()

void complete_discriminator_member_consistency | ( | const CompleteDiscriminatorMember & | complete_discriminator_member | ) |

static protected

Check CompleteDiscriminatorMember consistency.

Parameters

  [in] | complete_discriminator_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteDiscriminatorMember is not consistent.

## ◆ complete_element_detail_consistency()

void complete_element_detail_consistency | ( | const CompleteElementDetail & | complete_element_detail | ) |

static protected

Check CompleteElementDetail consistency.

Parameters

  [in] | complete_element_detail | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteElementDetail is not consistent.

## ◆ complete_enumerated_header_consistency()

void complete_enumerated_header_consistency | ( | const CompleteEnumeratedHeader & | complete_enumerated_header,
|  | bool | bitmask = false )

static protected

Check CompleteEnumeratedHeader consistency.

Parameters

  [in] | complete_enumerated_header | Instance to be checked.
  [in] | bitmask | Flag in case that the header corresponds to a Bitmask. By default is false.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteEnumeratedHeader is not consistent.

## ◆ complete_enumerated_literal_consistency()

void complete_enumerated_literal_consistency | ( | const CompleteEnumeratedLiteral & | complete_enumerated_literal | ) |

static protected

Check CompleteEnumeratedLiteral consistency.

Parameters

  [in] | complete_enumerated_literal | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteEnumeratedLiteral is not consistent.

## ◆ complete_enumerated_literal_seq_consistency()

void complete_enumerated_literal_seq_consistency | ( | const CompleteEnumeratedLiteralSeq & | complete_enumerated_literal_seq | ) |

static protected

Check CompleteEnumeratedLiteralSeq consistency.

Parameters

  [in] | complete_enumerated_literal_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteEnumeratedLiteralSeq is not consistent.

## ◆ complete_enumerated_type_consistency()

void complete_enumerated_type_consistency | ( | const CompleteEnumeratedType & | complete_enumerated_type | ) |

static protected

Check CompleteEnumeratedType consistency.

Parameters

  [in] | complete_enumerated_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteEnumeratedType is not consistent.

## ◆ complete_map_type_consistency()

void complete_map_type_consistency | ( | const CompleteMapType & | complete_map_type | ) |

static protected

Check CompleteMapType consistency.

Parameters

  [in] | complete_map_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteMapType is not consistent.

## ◆ complete_member_detail_consistency()

void complete_member_detail_consistency | ( | const CompleteMemberDetail & | complete_member_detail | ) |

static protected

Check CompleteMemberDetail consistency.

Parameters

  [in] | complete_member_detail | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteMemberDetail is not consistent.

## ◆ complete_sequence_type_consistency()

void complete_sequence_type_consistency | ( | const CompleteSequenceType & | complete_sequence_type | ) |

static protected

Check CompleteSequenceType consistency.

Parameters

  [in] | complete_sequence_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteSequenceType is not consistent.

## ◆ complete_struct_header_consistency()

void complete_struct_header_consistency | ( | const CompleteStructHeader & | complete_struct_header | ) |

static protected

Check CompleteStructHeader consistency.

Parameters

  [in] | complete_struct_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteStructHeader is not consistent.

## ◆ complete_struct_member_consistency()

void complete_struct_member_consistency | ( | const CompleteStructMember & | complete_struct_member | ) |

static protected

Check CompleteStructMember consistency.

Parameters

  [in] | complete_struct_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteStructMember is not consistent.

## ◆ complete_struct_member_seq_consistency()

void complete_struct_member_seq_consistency | ( | const CompleteStructMemberSeq & | complete_struct_member_seq | ) |

static protected

Check CompleteStructMemberSeq consistency.

Parameters

  [in] | complete_struct_member_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteStructMemberSeq is not consistent.

## ◆ complete_struct_type_consistency()

void complete_struct_type_consistency | ( | const CompleteStructType & | complete_struct_type | ) |

static protected

Check CompleteStructType consistency.

Parameters

  [in] | complete_struct_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteStructType is not consistent.

## ◆ complete_type_detail_consistency()

void complete_type_detail_consistency | ( | const CompleteTypeDetail & | complete_type_detail | ) |

static protected

Check CompleteTypeDetail consistency.

Parameters

  [in] | complete_type_detail | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteTypeDetail is not consistent.

## ◆ complete_type_object_consistency()

void complete_type_object_consistency | ( | const CompleteTypeObject & | complete_type_object | ) |

static protected

Check CompleteTypeObject consistency.

Parameters

  [in] | complete_type_object | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteTypeObject is not consistent.

## ◆ complete_union_header_consistency()

void complete_union_header_consistency | ( | const CompleteUnionHeader & | complete_union_header | ) |

static protected

Check CompleteUnionHeader consistency.

Parameters

  [in] | complete_union_header | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteUnionHeader is not consistent.

## ◆ complete_union_member_consistency()

void complete_union_member_consistency | ( | const CompleteUnionMember & | complete_union_member | ) |

static protected

Check CompleteUnionMember consistency.

Parameters

  [in] | complete_union_member | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteUnionMember is not consistent.

## ◆ complete_union_member_seq_consistency()

void complete_union_member_seq_consistency | ( | const CompleteUnionMemberSeq & | complete_union_member_seq | ) |

static protected

Check CompleteUnionMemberSeq consistency.

Parameters

  [in] | complete_union_member_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteUnionMemberSeq is not consistent.

## ◆ complete_union_type_consistency()

void complete_union_type_consistency | ( | const CompleteUnionType & | complete_union_type | ) |

static protected

Check CompleteUnionType consistency.

Parameters

  [in] | complete_union_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given CompleteUnionType is not consistent.

## ◆ direct_hash_type_identifier_consistency()

void direct_hash_type_identifier_consistency | ( | const TypeIdentifier & | type_id | ) |

static protected

Check direct hash TypeIdentifier consistency.

Parameters

  [in] | type_id | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent.

## ◆ empty_flags_consistency()

template<typename T>

void empty_flags_consistency | ( | T | flags | ) |

inline static protected

Check empty flags consistency.

Template Parameters

  T | Either MemberFlag or TypeFlag.

Parameters

  [in] | flags | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given flags are not consistent: empty (0).

## ◆ enum_bit_bound_consistency()

void enum_bit_bound_consistency | ( | BitBound | bit_bound | ) |

static protected

Check enumeration BitBound consistency.

Parameters

  [in] | bit_bound | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given BitBound is not consistent.

## ◆ enumerated_literal_flag_consistency()

void enumerated_literal_flag_consistency | ( | EnumeratedLiteralFlag | enumerated_literal_flag | ) |

static protected

Check EnumeratedLiteralFlag consistency: any flag different from default are not set.

Parameters

  [in] | enumerated_literal_flag | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given EnumeratedLiteralFlag is not consistent.

## ◆ equivalence_kind_consistency()

void equivalence_kind_consistency | ( | EquivalenceKind | equiv_kind | ) |

static protected

Check EquivalenceKind consistency.

Parameters

  [in] | equiv_kind | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given EquivalenceKind is not consistent.

## ◆ get_map_component_equiv_kind_for_consistency()

EquivalenceKind get_map_component_equiv_kind_for_consistency | ( | const TypeIdentifier & | identifier | ) |

static protected

Retrieves the equivalence kind of a component within a map.

Parameters

  [in] | identifier | TypeIdentifier of the component to be checked.

Returns
  EK_COMPLETE if the component equivalence kind is EK_COMPLETE.
  EK_MINIMAL if the component equivalence kind is EK_MINIMAL.
  EK_BOTH if the component equivalence kind is EK_BOTH.
  TK_NONE if the component type is invalid.

## ◆ hashid_builtin_annotation_not_applied_consistency()

void hashid_builtin_annotation_not_applied_consistency | ( | const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin | ) |

static protected

Check that hashid builtin annotation has not been set.

Parameters

  [in] | ann_builtin | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given AppliedBuiltinMemberAnnotations is not consistent.

## ◆ is_direct_hash_type_identifier()

bool is_direct_hash_type_identifier | ( | const TypeIdentifier & | type_identifier | ) |

static protected

Check if a given TypeIdentifier is direct hash.

XTypes v1.3 Clause 7.3.4.6.3 These are HASH TypeIdentifiers with discriminator EK_MINIMAL, EK_COMPLETE or TI_STRONGLY_CONNECTED_COMPONENT.

Parameters

  [in] | type_identifier | TypeIdentifier to check.

Returns
  true if the given TypeIdentifier is direct hash. false otherwise.

## ◆ is_fully_descriptive_type_identifier()

bool is_fully_descriptive_type_identifier | ( | const TypeIdentifier & | type_identifier | ) |

static protected

Check if a given TypeIdentifier is fully-descriptive.

XTypes v1.3 Clause 7.3.4.6.1 Fully-descriptive TypeIdentifiers Some TypeIdentifiers do not involve computing the Hash of any TypeObject. These are called Fully-descriptive TypeIdentifiers because they fully describe the Type. These are:

- The TypeIdentifiers for Primitive and String types.
- The TypeIdentifiers of plain collections where the element (and key) TypeIdentifier is a fully descriptive TypeIdentifier. They are recognized by the contained PlainCollectionHeader having EquivalenceKind set to EK_BOTH.

Parameters

  [in] | type_identifier | TypeIdentifier to check.

Returns
  true if the given TypeIdentifier is fully-descriptive. false otherwise.

## ◆ is_indirect_hash_type_identifier()

bool is_indirect_hash_type_identifier | ( | const TypeIdentifier & | type_identifier | ) |

static protected

Check if a given TypeIdentifier is indirect hash.

XTypes v1.3 Clause 7.3.4.6.4 These are the TypeIdentifiers for plain collections with the element type identified using a HASH TypeIdentifier. They are distinguished by:

1. Having discriminator TI_PLAIN_SEQUENCE_SMALL, TI_PLAIN_SEQUENCE_LARGE, TI_PLAIN_ARRAY_SMALL, TI_PLAIN_ARRAY_LARGE, TI_PLAIN_MAP_SMALL, or TI_PLAIN_MAP_LARGE.
2. Having the contained PlainCollectionHeader with EquivalenceKind EK_MINIMAL or EK_COMPLETE.

Parameters

  [in] | type_identifier | TypeIdentifier to check.

Returns
  true if the given TypeIdentifier is indirect hash. false otherwise.

## ◆ l_bound_consistency()

void l_bound_consistency | ( | LBound | bound | ) |

static protected

TypeObjectHashId is always consistent.

Default constructor already sets the discriminator to one valid value. Union setters prevent changing the discriminator value without setting the corresponding union member.

Check LBound consistency: must be greater than 255.

Parameters

  [in] | bound | LBound to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given LBound is not consistent.

## ◆ l_bound_seq_consistency()

void l_bound_seq_consistency | ( | const LBoundSeq & | bound_seq | ) |

static protected

Check LBoundSeq consistency.

Parameters

  [in] | bound_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given LBoundSeq is not consistent.

## ◆ map_key_type_identifier_consistency()

void map_key_type_identifier_consistency | ( | const TypeIdentifier & | key_identifier | ) |

static protected

Check map key_identifier consistency.

XTypes v1.3 Clause 7.2.2.4.3: Implementers of this specification need only support key elements of signed and unsigned integer types and of narrow and wide string types. In Debug build mode, this method also checks that the string/wstring bound is consistent.

Parameters

  [in] | key_identifier | TypeIdentifier to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent.

## ◆ map_ldefn_consistency()

void map_ldefn_consistency | ( | const PlainMapLTypeDefn & | plain_map | ) |

static protected

Check PlainMapLTypeDefn consistency.

Parameters

  [in] | plain_map | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainMapLTypeDefn is not consistent.

## ◆ map_sdefn_consistency()

void map_sdefn_consistency | ( | const PlainMapSTypeDefn & | plain_map | ) |

static protected

Check PlainMapSTypeDefn consistency.

Parameters

  [in] | plain_map | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainMapSTypeDefn is not consistent.

## ◆ minimal_alias_type_consistency()

void minimal_alias_type_consistency | ( | const MinimalAliasType & | minimal_alias_type | ) |

static protected

Check MinimalAliasType consistency.

Parameters

  [in] | minimal_alias_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalAliasType is not consistent.

## ◆ minimal_annotation_type_consistency()

void minimal_annotation_type_consistency | ( | const MinimalAnnotationType & | minimal_annotation_type | ) |

static protected

Check MinimalAnnotationType consistency.

Parameters

  [in] | minimal_annotation_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalAnnotationType is not consistent.

## ◆ minimal_array_type_consistency()

void minimal_array_type_consistency | ( | const MinimalArrayType & | minimal_array_type | ) |

static protected

Check MinimalArrayType consistency.

Parameters

  [in] | minimal_array_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalArrayType is not consistent.

## ◆ minimal_bitmask_type_consistency()

void minimal_bitmask_type_consistency | ( | const MinimalBitmaskType & | minimal_bitmask_type | ) |

static protected

Check MinimalBitmaskType consistency.

Parameters

  [in] | minimal_bitmask_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalBitmaskType is not consistent.

## ◆ minimal_bitset_type_consistency()

void minimal_bitset_type_consistency | ( | const MinimalBitsetType & | minimal_bitset_type | ) |

static protected

Check MinimalBitsetType consistency.

Parameters

  [in] | minimal_bitset_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalBitsetType is not consistent.

## ◆ minimal_enumerated_type_consistency()

void minimal_enumerated_type_consistency | ( | const MinimalEnumeratedType & | minimal_enumerated_type | ) |

static protected

Check MinimalEnumeratedType consistency.

Parameters

  [in] | minimal_enumerated_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalEnumeratedType is not consistent.

## ◆ minimal_map_type_consistency()

void minimal_map_type_consistency | ( | const MinimalMapType & | minimal_map_type | ) |

static protected

Check MinimalMapType consistency.

Parameters

  [in] | minimal_map_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalMapType is not consistent.

## ◆ minimal_sequence_type_consistency()

void minimal_sequence_type_consistency | ( | const MinimalSequenceType & | minimal_sequence_type | ) |

static protected

Check MinimalSequenceType consistency.

Parameters

  [in] | minimal_sequence_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalSequenceType is not consistent.

## ◆ minimal_struct_type_consistency()

void minimal_struct_type_consistency | ( | const MinimalStructType & | minimal_struct_type | ) |

static protected

Check MinimalStructType consistency.

Parameters

  [in] | minimal_struct_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalStructType is not consistent.

## ◆ minimal_type_object_consistency()

void minimal_type_object_consistency | ( | const MinimalTypeObject & | minimal_type_object | ) |

static protected

Check MinimalTypeObject consistency.

Parameters

  [in] | minimal_type_object | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalTypeObject is not consistent.

## ◆ minimal_union_type_consistency()

void minimal_union_type_consistency | ( | const MinimalUnionType & | minimal_union_type | ) |

static protected

Check MinimalUnionType consistency.

Parameters

  [in] | minimal_union_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given MinimalUnionType is not consistent.

## ◆ name_hash()

FASTDDS_EXPORTED_API const NameHash name_hash | ( | const std::string & | name | ) |

static

Calculate the MD5 hash of the provided name.

Parameters

  [in] | name | String which hash is calculated.

Returns
  const NameHash Hash of the given string.

## ◆ plain_collection_header_consistency()

void plain_collection_header_consistency | ( | const PlainCollectionHeader & | header | ) |

static protected

Check PlainCollectionHeader consistency:

- CollectionElementFlag consistent
- Consistent EquivalenceKind

Parameters

  [in] | header | PlainCollectionHeader to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainCollectionHeader is not consistent.

## ◆ plain_collection_type_identifier_header_consistency()

void plain_collection_type_identifier_header_consistency | ( | const PlainCollectionHeader & | header,
|  | const TypeIdentifier & | element_identifier )

static protected

Check consistency between a given PlainCollectionHeader and the related TypeIdentifier:

1. TypeIdentifier initialized
2. Consistency of EquivalenceKinds

Parameters

  [in] | header | PlainCollectionHeader to be checked.
  [in] | element_identifier | TypeIdentifier to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given parameters are not consistent.

## ◆ plain_map_type_components_consistency()

void plain_map_type_components_consistency | ( | const PlainCollectionHeader & | header,
|  | const TypeIdentifier & | type_identifier )

static protected

Check consistency between a given PlainCollectionHeader of a map and the related TypeIdentifier:

1. Key TypeIdentifier is valid
2. TypeIdentifier initialized
3. Consistency of EquivalenceKinds

Parameters

  [in] | header | PlainCollectionHeader of the map to be checked.
  [in] | type_identifier | TypeIdentifier to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given parameters are not consistent.

## ◆ retrieve_complete_type_identifier()

FASTDDS_EXPORTED_API const TypeIdentifier & retrieve_complete_type_identifier | ( | const TypeIdentifierPair & | type_ids,
|  | bool & | ec )

static

If one of the TypeIdentifier in TypeIdentifierPair is complete, returns its reference.

Parameters

  [in] | type_ids | TypeIdentifierPair used to retrieve the TypeIdentifier.
  [out] | ec | Returns if there was an error.

Returns
  Reference to the complete TypeIdentifier.

## ◆ retrieve_minimal_type_identifier()

FASTDDS_EXPORTED_API const TypeIdentifier & retrieve_minimal_type_identifier | ( | const TypeIdentifierPair & | type_ids,
|  | bool & | ec )

static

If one of the TypeIdentifier in TypeIdentifierPair is minimal, returns its reference.

Parameters

  [in] | type_ids | TypeIdentifierPair used to retrieve the TypeIdentifier.
  [out] | ec | Returns if there was an error.

Returns
  Reference to the minimal TypeIdentifier.

## ◆ seq_ldefn_consistency()

void seq_ldefn_consistency | ( | const PlainSequenceLElemDefn & | plain_seq | ) |

static protected

Check PlainSequenceLElemDefn consistency.

Parameters

  [in] | plain_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainSequenceLElemDefn is not consistent.

## ◆ seq_sdefn_consistency()

void seq_sdefn_consistency | ( | const PlainSequenceSElemDefn & | plain_seq | ) |

static protected

Check PlainSequenceSElemDefn consistency.

Parameters

  [in] | plain_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given PlainSequenceSElemDefn is not consistent.

## ◆ set_extensibility_kind()

void set_extensibility_kind | ( | TypeFlag & | type_flag,
|  | ExtensibilityKind | extensibility_kind )

static protected

Set the extensibility kind in a given TypeFlag.

Parameters

  [in,out] | type_flag | Bitmask to be set.
  [in] | extensibility_kind | ExtensibilityKind.

## ◆ set_try_construct_behavior()

void set_try_construct_behavior | ( | MemberFlag & | member_flag,
|  | TryConstructFailAction | try_construct_kind )

static protected

Set the try construct behavior in a given MemberFlag.

Parameters

  [in,out] | member_flag | Bitmask to be set.
  [in] | try_construct_kind | TryConstructFailAction.

## ◆ set_type_flag()

void set_type_flag | ( | TypeFlag & | type_flag,
|  | ExtensibilityKind | extensibility_kind,
|  | bool | nested,
|  | bool | autoid_hash )

static protected

Set the TypeFlag object.

Parameters

  [in,out] | type_flag | Bitmask to be set.
  [in] | extensibility_kind | ExtensibilityKind
  [in] | nested | nested annotation value.
  [in] | autoid_hash | autoid annotation has HASH value.

## ◆ string_ldefn_consistency()

void string_ldefn_consistency | ( | const StringLTypeDefn & | string | ) |

static protected

Check StringLTypeDefn consistency.

Parameters

  [in] | string | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given StringLTypeDefn is not consistent.

## ◆ string_member_id_consistency()

void string_member_id_consistency | ( | MemberId | member_id,
|  | const std::string & | string_value )

static protected

Check consistency between a string value and the MemberId (algorithm XTypes v1.3 Clause 7.3.1.2.1.1).

Parameters

  [in] | member_id | MemberId to be checked.
  [in] | string_value | String provided with either hashid annotation or the member name.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given data is inconsistent.

## ◆ struct_member_flag_consistency()

void struct_member_flag_consistency | ( | StructMemberFlag | member_flags | ) |

static protected

Check StructMemberFlag consistency: MemberFlag consistency (try construct annotation).

XTypes v1.3 Clause 7.2.2.4.4.4.8 Key members shall never be optional, and they shall always have their "must understand" attribute set to true.

Parameters

  [in] | member_flags | MemberFlag to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given StructMemberFlag is not consistent.

## ◆ structure_base_type_consistency()

void structure_base_type_consistency | ( | const TypeIdentifier & | base_type | ) |

static protected

Check CompleteStructHeader base_type TypeIdentifier consistency.

Parameters

  [in] | base_type | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent.

## ◆ type_flag_consistency()

void type_flag_consistency | ( | TypeFlag | type_flag | ) |

static protected

Check TypeFlag consistency: exactly one extensibility flag is set.

Parameters

  [in] | type_flag | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeFlag is not consistent.

## ◆ type_identifier_consistency()

void type_identifier_consistency | ( | const TypeIdentifier & | type_identifier | ) |

static protected

Check TypeIdentifier consistency.

Parameters

  [in] | type_identifier | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeIdentifier is not consistent.

## ◆ type_object_consistency()

FASTDDS_EXPORTED_API void type_object_consistency | ( | const TypeObject & | type_object | ) |

static

Check TypeObject consistency.

Parameters

  [in] | type_object | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given TypeObject is not consistent.

## ◆ union_case_label_seq_consistency()

void union_case_label_seq_consistency | ( | const UnionCaseLabelSeq & | union_case_label_seq | ) |

static protected

Check UnionCaseLabelSeq consistency.

Parameters

  [in] | union_case_label_seq | Instance to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given UnionCaseLabelSeq is not consistent.

## ◆ union_discriminator_flag_consistency()

void union_discriminator_flag_consistency | ( | UnionDiscriminatorFlag | union_discriminator_flag | ) |

static protected

Check UnionDiscriminatorFlag consistency.

Parameters

  [in] | union_discriminator_flag | UnionDiscriminatorFlag to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given UnionDiscriminatorFlag is not consistent.

## ◆ union_member_flag_consistency()

void union_member_flag_consistency | ( | UnionMemberFlag | union_member_flag | ) |

static protected

Check UnionMemberFlag consistency.

Parameters

  [in] | union_member_flag | UnionMemberFlag to be checked.

Exceptions

  eprosima::fastdds::dds::xtypes::InvalidArgumentError | exception if the given UnionMemberFlag is not consistent.

## Friends And Related Symbol Documentation

## ◆ eprosima::fastdds::dds::DynamicTypeBuilderFactoryImpl

friend class eprosima::fastdds::dds::DynamicTypeBuilderFactoryImpl

friend

## ◆ TypeObjectRegistry

friend class TypeObjectRegistry

friend

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/TypeObjectUtils.hpp